Reactor Dependency Convergence

Legend:
[Error] At least one dependency has a differing version of the dependency or has SNAPSHOT dependencies.

Statistics:
Number of modules: 15
Number of dependencies (NOD): 172
Number of unique artifacts (NOA): 218
Number of version-conflicting artifacts (NOC): 24
Number of SNAPSHOT artifacts (NOS): 0
Convergence (NOD/NOA): [Error] 78 %
Ready for release (100% convergence and no SNAPSHOTS): [Error] Error
You do not have 100% convergence.

Dependencies used in modules

com.google.guava:guava

[Error]
16.0.1
  1. org.patterntesting:patterntesting-check-ct:jar:1.7.1
    \- org.patterntesting:patterntesting-tools:jar:1.7.1:test
       \- org.apache.maven:maven-compat:jar:3.3.9:test
          \- org.apache.maven:maven-core:jar:3.3.9:test
             \- com.google.inject:guice:jar:no_aop:4.0:test
                \- (com.google.guava:guava:jar:16.0.1:test - omitted for conflict with 18.0)

  2. org.patterntesting:patterntesting-concurrent:jar:1.7.1
    \- org.patterntesting:patterntesting-tools:jar:1.7.1:test
       \- org.apache.maven:maven-compat:jar:3.3.9:test
          \- org.apache.maven:maven-core:jar:3.3.9:test
             \- com.google.inject:guice:jar:no_aop:4.0:test
                \- (com.google.guava:guava:jar:16.0.1:test - omitted for conflict with 18.0)

  3. org.patterntesting:patterntesting-tools:maven-plugin:1.7.1
    \- org.apache.maven:maven-compat:jar:3.3.9:compile
       \- org.apache.maven:maven-core:jar:3.3.9:compile
          \- com.google.inject:guice:jar:no_aop:4.0:compile
             \- (com.google.guava:guava:jar:16.0.1:compile - omitted for conflict with 18.0)

18.0
  1. org.patterntesting:patterntesting-check-ct:jar:1.7.1
    \- org.patterntesting:patterntesting-tools:jar:1.7.1:test
       \- org.apache.maven:maven-compat:jar:3.3.9:test
          \- org.apache.maven:maven-model-builder:jar:3.3.9:test
             \- com.google.guava:guava:jar:18.0:test

  2. org.patterntesting:patterntesting-concurrent:jar:1.7.1
    \- org.patterntesting:patterntesting-tools:jar:1.7.1:test
       \- org.apache.maven:maven-compat:jar:3.3.9:test
          \- org.apache.maven:maven-model-builder:jar:3.3.9:test
             \- com.google.guava:guava:jar:18.0:test

  3. org.patterntesting:patterntesting-tools:maven-plugin:1.7.1
    \- org.apache.maven:maven-compat:jar:3.3.9:compile
       \- org.apache.maven:maven-model-builder:jar:3.3.9:compile
          \- com.google.guava:guava:jar:18.0:compile

commons-beanutils:commons-beanutils

[Error]
1.6
  1. org.patterntesting:patterntesting-check-ct:jar:1.7.1
    \- org.patterntesting:patterntesting-tools:jar:1.7.1:test
       \- org.codehaus.mojo:aspectj-maven-plugin:maven-plugin:1.8:test
          \- org.apache.maven.reporting:maven-reporting-impl:jar:2.1:test
             \- commons-validator:commons-validator:jar:1.2.0:test
                \- commons-digester:commons-digester:jar:1.6:test
                   \- (commons-beanutils:commons-beanutils:jar:1.6:test - omitted for conflict with 1.7.0)

  2. org.patterntesting:patterntesting-concurrent:jar:1.7.1
    \- org.patterntesting:patterntesting-tools:jar:1.7.1:test
       \- org.codehaus.mojo:aspectj-maven-plugin:maven-plugin:1.8:test
          \- org.apache.maven.reporting:maven-reporting-impl:jar:2.1:test
             \- commons-validator:commons-validator:jar:1.2.0:test
                \- commons-digester:commons-digester:jar:1.6:test
                   \- (commons-beanutils:commons-beanutils:jar:1.6:test - omitted for conflict with 1.7.0)

  3. org.patterntesting:patterntesting-tools:maven-plugin:1.7.1
    \- org.codehaus.mojo:aspectj-maven-plugin:maven-plugin:1.8:compile
       \- org.apache.maven.reporting:maven-reporting-impl:jar:2.1:compile
          \- commons-validator:commons-validator:jar:1.2.0:compile
             \- commons-digester:commons-digester:jar:1.6:compile
                \- (commons-beanutils:commons-beanutils:jar:1.6:compile - omitted for conflict with 1.7.0)

1.7.0
  1. org.patterntesting:patterntesting-check-ct:jar:1.7.1
    \- org.patterntesting:patterntesting-tools:jar:1.7.1:test
       \- org.codehaus.mojo:aspectj-maven-plugin:maven-plugin:1.8:test
          \- org.apache.maven.reporting:maven-reporting-impl:jar:2.1:test
             \- commons-validator:commons-validator:jar:1.2.0:test
                \- commons-beanutils:commons-beanutils:jar:1.7.0:test

  2. org.patterntesting:patterntesting-concurrent:jar:1.7.1
    \- org.patterntesting:patterntesting-tools:jar:1.7.1:test
       \- org.codehaus.mojo:aspectj-maven-plugin:maven-plugin:1.8:test
          \- org.apache.maven.reporting:maven-reporting-impl:jar:2.1:test
             \- commons-validator:commons-validator:jar:1.2.0:test
                \- commons-beanutils:commons-beanutils:jar:1.7.0:test

  3. org.patterntesting:patterntesting-tools:maven-plugin:1.7.1
    \- org.codehaus.mojo:aspectj-maven-plugin:maven-plugin:1.8:compile
       \- org.apache.maven.reporting:maven-reporting-impl:jar:2.1:compile
          \- commons-validator:commons-validator:jar:1.2.0:compile
             \- commons-beanutils:commons-beanutils:jar:1.7.0:compile

commons-codec:commons-codec

[Error]
1.2
  1. org.patterntesting.samples:intro:jar:1.7.1
    \- org.apache.cactus:cactus.core.framework.uberjar.javaEE.15:jar:1.8.1:compile
       \- commons-httpclient:commons-httpclient:jar:3.1:compile
          \- (commons-codec:commons-codec:jar:1.2:compile - omitted for conflict with 1.3)

1.3
  1. org.patterntesting.samples:intro:jar:1.7.1
    \- org.apache.httpcomponents:httpclient:jar:4.0.1:compile
       \- commons-codec:commons-codec:jar:1.3:compile

commons-io:commons-io

[Error]
2.2
  1. org.patterntesting:patterntesting-concurrent:jar:1.7.1
    +- org.patterntesting:patterntesting-rt:jar:1.7.1:compile
    |  \- commons-io:commons-io:jar:2.2:compile
    \- org.patterntesting:patterntesting-tools:jar:1.7.1:test
       \- org.apache.maven.plugin-testing:maven-plugin-testing-harness:jar:3.3.0:test
          \- (commons-io:commons-io:jar:2.2:test - omitted for duplicate)

  2. org.patterntesting:patterntesting-tools:maven-plugin:1.7.1
    +- commons-io:commons-io:jar:2.2:compile
    +- org.apache.maven.archetype:archetype-common:jar:2.4:test
    |  \- (commons-io:commons-io:jar:2.2:test - omitted for duplicate)
    \- org.apache.maven.plugin-testing:maven-plugin-testing-harness:jar:3.3.0:compile
       \- (commons-io:commons-io:jar:2.2:compile - omitted for duplicate)

2.5
  1. org.patterntesting:patterntesting-concurrent:jar:1.7.1
    \- org.patterntesting:patterntesting-tools:jar:1.7.1:test
       \- (commons-io:commons-io:jar:2.5:test - omitted for duplicate)

  2. org.patterntesting:patterntesting-tools:maven-plugin:1.7.1
    \- org.patterntesting:patterntesting-rt:jar:1.7.1:compile
       \- (commons-io:commons-io:jar:2.5:compile - omitted for duplicate)

commons-lang:commons-lang

[Error]
2.1
  1. org.patterntesting:patterntesting-check-ct:jar:1.7.1
    \- org.patterntesting:patterntesting-tools:jar:1.7.1:test
       \- org.codehaus.mojo:aspectj-maven-plugin:maven-plugin:1.8:test
          \- org.apache.maven.doxia:doxia-site-renderer:jar:1.1.2:test
             \- org.apache.velocity:velocity:jar:1.5:test
                \- (commons-lang:commons-lang:jar:2.1:test - omitted for conflict with 2.4)

  2. org.patterntesting:patterntesting-concurrent:jar:1.7.1
    \- org.patterntesting:patterntesting-tools:jar:1.7.1:test
       \- org.codehaus.mojo:aspectj-maven-plugin:maven-plugin:1.8:test
          \- org.apache.maven.doxia:doxia-site-renderer:jar:1.1.2:test
             \- org.apache.velocity:velocity:jar:1.5:test
                \- (commons-lang:commons-lang:jar:2.1:test - omitted for conflict with 2.4)

  3. org.patterntesting:patterntesting-tools:maven-plugin:1.7.1
    \- org.codehaus.mojo:aspectj-maven-plugin:maven-plugin:1.8:compile
       \- org.apache.maven.doxia:doxia-site-renderer:jar:1.1.2:compile
          \- org.apache.velocity:velocity:jar:1.5:compile
             \- (commons-lang:commons-lang:jar:2.1:compile - omitted for conflict with 2.4)

2.4
  1. org.patterntesting:patterntesting-check-ct:jar:1.7.1
    \- org.patterntesting:patterntesting-tools:jar:1.7.1:test
       \- org.codehaus.mojo:aspectj-maven-plugin:maven-plugin:1.8:test
          \- org.apache.maven.doxia:doxia-site-renderer:jar:1.1.2:test
             \- org.apache.maven.doxia:doxia-core:jar:1.1.2:test
                \- commons-lang:commons-lang:jar:2.4:test

  2. org.patterntesting:patterntesting-concurrent:jar:1.7.1
    \- org.patterntesting:patterntesting-tools:jar:1.7.1:test
       \- org.codehaus.mojo:aspectj-maven-plugin:maven-plugin:1.8:test
          \- org.apache.maven.doxia:doxia-site-renderer:jar:1.1.2:test
             \- org.apache.maven.doxia:doxia-core:jar:1.1.2:test
                \- commons-lang:commons-lang:jar:2.4:test

  3. org.patterntesting:patterntesting-tools:maven-plugin:1.7.1
    \- org.codehaus.mojo:aspectj-maven-plugin:maven-plugin:1.8:compile
       \- org.apache.maven.doxia:doxia-site-renderer:jar:1.1.2:compile
          \- org.apache.maven.doxia:doxia-core:jar:1.1.2:compile
             \- commons-lang:commons-lang:jar:2.4:compile

javax.servlet:servlet-api

[Error]
2.3
  1. org.patterntesting.samples:intro:jar:1.7.1
    \- org.apache.cactus:cactus.core.framework.uberjar.javaEE.15:jar:1.8.1:compile
       \- org.apache.cactus:cactus.core.framework.wrapper.javaEE.14:jar:1.8.1:compile
          \- org.apache.cactus:cactus.core.framework.javaEE.13-14:jar:1.8.1:compile
             \- (javax.servlet:servlet-api:jar:2.3:compile - omitted for conflict with 2.5)

  2. org.patterntesting.samples:jfs2010:war:1.7.1
    \- org.apache.cactus:cactus.core.framework.uberjar.javaEE.15:jar:1.8.1:compile
       \- org.apache.cactus:cactus.core.framework.wrapper.javaEE.14:jar:1.8.1:compile
          \- org.apache.cactus:cactus.core.framework.javaEE.13-14:jar:1.8.1:compile
             \- (javax.servlet:servlet-api:jar:2.3:compile - omitted for conflict with 2.5)

  3. org.patterntesting.samples:misc:war:1.7.1
    \- org.apache.cactus:cactus.core.framework.uberjar.javaEE.15:jar:1.8.1:compile
       \- org.apache.cactus:cactus.core.framework.wrapper.javaEE.14:jar:1.8.1:compile
          \- org.apache.cactus:cactus.core.framework.javaEE.13-14:jar:1.8.1:compile
             \- (javax.servlet:servlet-api:jar:2.3:compile - omitted for conflict with 2.5)

  4. org.patterntesting:samples:pom:1.7.1
    \- org.apache.cactus:cactus.core.framework.uberjar.javaEE.15:jar:1.8.1:compile
       \- org.apache.cactus:cactus.core.framework.wrapper.javaEE.14:jar:1.8.1:compile
          \- org.apache.cactus:cactus.core.framework.javaEE.13-14:jar:1.8.1:compile
             \- (javax.servlet:servlet-api:jar:2.3:compile - omitted for conflict with 2.5)

2.4
  1. org.patterntesting.samples:intro:jar:1.7.1
    +- tomcat:jasper-compiler:jar:5.5.15:compile
    |  \- javax.servlet:jsp-api:jar:2.0:compile
    |     \- (javax.servlet:servlet-api:jar:2.4:compile - omitted for conflict with 2.5)
    +- tomcat:jasper-runtime:jar:5.5.15:compile
    |  \- (javax.servlet:servlet-api:jar:2.4:compile - omitted for conflict with 2.5)
    \- org.apache.cactus:cactus.core.framework.uberjar.javaEE.15:jar:1.8.1:compile
       +- org.apache.cactus:cactus.core.framework.wrapper.javaEE.14:jar:1.8.1:compile
       |  \- (javax.servlet:servlet-api:jar:2.4:compile - omitted for conflict with 2.5)
       \- (javax.servlet:servlet-api:jar:2.4:compile - omitted for conflict with 2.5)

  2. org.patterntesting.samples:jfs2010:war:1.7.1
    +- tomcat:jasper-compiler:jar:5.5.15:compile
    |  \- javax.servlet:jsp-api:jar:2.0:compile
    |     \- (javax.servlet:servlet-api:jar:2.4:compile - omitted for conflict with 2.5)
    +- tomcat:jasper-runtime:jar:5.5.15:compile
    |  \- (javax.servlet:servlet-api:jar:2.4:compile - omitted for conflict with 2.5)
    \- org.apache.cactus:cactus.core.framework.uberjar.javaEE.15:jar:1.8.1:compile
       +- org.apache.cactus:cactus.core.framework.wrapper.javaEE.14:jar:1.8.1:compile
       |  \- (javax.servlet:servlet-api:jar:2.4:compile - omitted for conflict with 2.5)
       \- (javax.servlet:servlet-api:jar:2.4:compile - omitted for conflict with 2.5)

  3. org.patterntesting.samples:misc:war:1.7.1
    +- tomcat:jasper-compiler:jar:5.5.15:compile
    |  \- javax.servlet:jsp-api:jar:2.0:compile
    |     \- (javax.servlet:servlet-api:jar:2.4:compile - omitted for conflict with 2.5)
    +- tomcat:jasper-runtime:jar:5.5.15:compile
    |  \- (javax.servlet:servlet-api:jar:2.4:compile - omitted for conflict with 2.5)
    \- org.apache.cactus:cactus.core.framework.uberjar.javaEE.15:jar:1.8.1:compile
       +- org.apache.cactus:cactus.core.framework.wrapper.javaEE.14:jar:1.8.1:compile
       |  \- (javax.servlet:servlet-api:jar:2.4:compile - omitted for conflict with 2.5)
       \- (javax.servlet:servlet-api:jar:2.4:compile - omitted for conflict with 2.5)

  4. org.patterntesting:samples:pom:1.7.1
    +- tomcat:jasper-compiler:jar:5.5.15:compile
    |  \- javax.servlet:jsp-api:jar:2.0:compile
    |     \- (javax.servlet:servlet-api:jar:2.4:compile - omitted for conflict with 2.5)
    +- tomcat:jasper-runtime:jar:5.5.15:compile
    |  \- (javax.servlet:servlet-api:jar:2.4:compile - omitted for conflict with 2.5)
    \- org.apache.cactus:cactus.core.framework.uberjar.javaEE.15:jar:1.8.1:compile
       +- org.apache.cactus:cactus.core.framework.wrapper.javaEE.14:jar:1.8.1:compile
       |  \- (javax.servlet:servlet-api:jar:2.4:compile - omitted for conflict with 2.5)
       \- (javax.servlet:servlet-api:jar:2.4:compile - omitted for conflict with 2.5)

2.5
  1. org.patterntesting.samples:intro:jar:1.7.1
    \- javax.servlet:servlet-api:jar:2.5:provided (scope not updated to compile)

  2. org.patterntesting.samples:jfs2010:war:1.7.1
    \- javax.servlet:servlet-api:jar:2.5:provided (scope not updated to compile)

  3. org.patterntesting.samples:misc:war:1.7.1
    \- javax.servlet:servlet-api:jar:2.5:provided (scope not updated to compile)

  4. org.patterntesting:samples:pom:1.7.1
    \- javax.servlet:servlet-api:jar:2.5:provided (scope not updated to compile)

org.apache.maven.doxia:doxia-logging-api

[Error]
1.1
  1. org.patterntesting:patterntesting-check-ct:jar:1.7.1
    \- org.patterntesting:patterntesting-tools:jar:1.7.1:test
       \- org.codehaus.mojo:aspectj-maven-plugin:maven-plugin:1.8:test
          \- org.apache.maven.reporting:maven-reporting-api:jar:2.2.1:test
             +- org.apache.maven.doxia:doxia-sink-api:jar:1.1:test
             |  \- (org.apache.maven.doxia:doxia-logging-api:jar:1.1:test - omitted for duplicate)
             \- org.apache.maven.doxia:doxia-logging-api:jar:1.1:test

  2. org.patterntesting:patterntesting-concurrent:jar:1.7.1
    \- org.patterntesting:patterntesting-tools:jar:1.7.1:test
       \- org.codehaus.mojo:aspectj-maven-plugin:maven-plugin:1.8:test
          \- org.apache.maven.reporting:maven-reporting-api:jar:2.2.1:test
             +- org.apache.maven.doxia:doxia-sink-api:jar:1.1:test
             |  \- (org.apache.maven.doxia:doxia-logging-api:jar:1.1:test - omitted for duplicate)
             \- org.apache.maven.doxia:doxia-logging-api:jar:1.1:test

  3. org.patterntesting:patterntesting-tools:maven-plugin:1.7.1
    \- org.codehaus.mojo:aspectj-maven-plugin:maven-plugin:1.8:compile
       \- org.apache.maven.reporting:maven-reporting-api:jar:2.2.1:compile
          +- org.apache.maven.doxia:doxia-sink-api:jar:1.1:compile
          |  \- (org.apache.maven.doxia:doxia-logging-api:jar:1.1:compile - omitted for duplicate)
          \- org.apache.maven.doxia:doxia-logging-api:jar:1.1:compile

1.1.2
  1. org.patterntesting:patterntesting-check-ct:jar:1.7.1
    \- org.patterntesting:patterntesting-tools:jar:1.7.1:test
       \- org.codehaus.mojo:aspectj-maven-plugin:maven-plugin:1.8:test
          \- org.apache.maven.doxia:doxia-site-renderer:jar:1.1.2:test
             +- org.apache.maven.doxia:doxia-core:jar:1.1.2:test
             |  \- (org.apache.maven.doxia:doxia-logging-api:jar:1.1.2:test - omitted for conflict with 1.1)
             \- (org.apache.maven.doxia:doxia-logging-api:jar:1.1.2:test - omitted for conflict with 1.1)

  2. org.patterntesting:patterntesting-concurrent:jar:1.7.1
    \- org.patterntesting:patterntesting-tools:jar:1.7.1:test
       \- org.codehaus.mojo:aspectj-maven-plugin:maven-plugin:1.8:test
          \- org.apache.maven.doxia:doxia-site-renderer:jar:1.1.2:test
             +- org.apache.maven.doxia:doxia-core:jar:1.1.2:test
             |  \- (org.apache.maven.doxia:doxia-logging-api:jar:1.1.2:test - omitted for conflict with 1.1)
             \- (org.apache.maven.doxia:doxia-logging-api:jar:1.1.2:test - omitted for conflict with 1.1)

  3. org.patterntesting:patterntesting-tools:maven-plugin:1.7.1
    \- org.codehaus.mojo:aspectj-maven-plugin:maven-plugin:1.8:compile
       \- org.apache.maven.doxia:doxia-site-renderer:jar:1.1.2:compile
          +- org.apache.maven.doxia:doxia-core:jar:1.1.2:compile
          |  \- (org.apache.maven.doxia:doxia-logging-api:jar:1.1.2:compile - omitted for conflict with 1.1)
          \- (org.apache.maven.doxia:doxia-logging-api:jar:1.1.2:compile - omitted for conflict with 1.1)

org.apache.maven.doxia:doxia-sink-api

[Error]
1.1
  1. org.patterntesting:patterntesting-check-ct:jar:1.7.1
    \- org.patterntesting:patterntesting-tools:jar:1.7.1:test
       \- org.codehaus.mojo:aspectj-maven-plugin:maven-plugin:1.8:test
          \- org.apache.maven.reporting:maven-reporting-api:jar:2.2.1:test
             \- org.apache.maven.doxia:doxia-sink-api:jar:1.1:test

  2. org.patterntesting:patterntesting-concurrent:jar:1.7.1
    \- org.patterntesting:patterntesting-tools:jar:1.7.1:test
       \- org.codehaus.mojo:aspectj-maven-plugin:maven-plugin:1.8:test
          \- org.apache.maven.reporting:maven-reporting-api:jar:2.2.1:test
             \- org.apache.maven.doxia:doxia-sink-api:jar:1.1:test

  3. org.patterntesting:patterntesting-tools:maven-plugin:1.7.1
    \- org.codehaus.mojo:aspectj-maven-plugin:maven-plugin:1.8:compile
       \- org.apache.maven.reporting:maven-reporting-api:jar:2.2.1:compile
          \- org.apache.maven.doxia:doxia-sink-api:jar:1.1:compile

1.1.2
  1. org.patterntesting:patterntesting-check-ct:jar:1.7.1
    \- org.patterntesting:patterntesting-tools:jar:1.7.1:test
       \- org.codehaus.mojo:aspectj-maven-plugin:maven-plugin:1.8:test
          +- org.apache.maven.doxia:doxia-site-renderer:jar:1.1.2:test
          |  +- org.apache.maven.doxia:doxia-core:jar:1.1.2:test
          |  |  \- (org.apache.maven.doxia:doxia-sink-api:jar:1.1.2:test - omitted for conflict with 1.1)
          |  +- (org.apache.maven.doxia:doxia-sink-api:jar:1.1.2:test - omitted for conflict with 1.1)
          |  +- org.apache.maven.doxia:doxia-module-xhtml:jar:1.1.2:test
          |  |  \- (org.apache.maven.doxia:doxia-sink-api:jar:1.1.2:test - omitted for conflict with 1.1)
          |  \- org.apache.maven.doxia:doxia-module-fml:jar:1.1.2:test
          |     \- (org.apache.maven.doxia:doxia-sink-api:jar:1.1.2:test - omitted for conflict with 1.1)
          \- org.apache.maven.reporting:maven-reporting-impl:jar:2.1:test
             \- (org.apache.maven.doxia:doxia-sink-api:jar:1.1.2:test - omitted for conflict with 1.1)

  2. org.patterntesting:patterntesting-concurrent:jar:1.7.1
    \- org.patterntesting:patterntesting-tools:jar:1.7.1:test
       \- org.codehaus.mojo:aspectj-maven-plugin:maven-plugin:1.8:test
          +- org.apache.maven.doxia:doxia-site-renderer:jar:1.1.2:test
          |  +- org.apache.maven.doxia:doxia-core:jar:1.1.2:test
          |  |  \- (org.apache.maven.doxia:doxia-sink-api:jar:1.1.2:test - omitted for conflict with 1.1)
          |  +- (org.apache.maven.doxia:doxia-sink-api:jar:1.1.2:test - omitted for conflict with 1.1)
          |  +- org.apache.maven.doxia:doxia-module-xhtml:jar:1.1.2:test
          |  |  \- (org.apache.maven.doxia:doxia-sink-api:jar:1.1.2:test - omitted for conflict with 1.1)
          |  \- org.apache.maven.doxia:doxia-module-fml:jar:1.1.2:test
          |     \- (org.apache.maven.doxia:doxia-sink-api:jar:1.1.2:test - omitted for conflict with 1.1)
          \- org.apache.maven.reporting:maven-reporting-impl:jar:2.1:test
             \- (org.apache.maven.doxia:doxia-sink-api:jar:1.1.2:test - omitted for conflict with 1.1)

  3. org.patterntesting:patterntesting-tools:maven-plugin:1.7.1
    \- org.codehaus.mojo:aspectj-maven-plugin:maven-plugin:1.8:compile
       +- org.apache.maven.doxia:doxia-site-renderer:jar:1.1.2:compile
       |  +- org.apache.maven.doxia:doxia-core:jar:1.1.2:compile
       |  |  \- (org.apache.maven.doxia:doxia-sink-api:jar:1.1.2:compile - omitted for conflict with 1.1)
       |  +- (org.apache.maven.doxia:doxia-sink-api:jar:1.1.2:compile - omitted for conflict with 1.1)
       |  +- org.apache.maven.doxia:doxia-module-xhtml:jar:1.1.2:compile
       |  |  \- (org.apache.maven.doxia:doxia-sink-api:jar:1.1.2:compile - omitted for conflict with 1.1)
       |  \- org.apache.maven.doxia:doxia-module-fml:jar:1.1.2:compile
       |     \- (org.apache.maven.doxia:doxia-sink-api:jar:1.1.2:compile - omitted for conflict with 1.1)
       \- org.apache.maven.reporting:maven-reporting-impl:jar:2.1:compile
          \- (org.apache.maven.doxia:doxia-sink-api:jar:1.1.2:compile - omitted for conflict with 1.1)

org.apache.maven.reporting:maven-reporting-api

[Error]
2.2.1
  1. org.patterntesting:patterntesting-check-ct:jar:1.7.1
    \- org.patterntesting:patterntesting-tools:jar:1.7.1:test
       \- org.codehaus.mojo:aspectj-maven-plugin:maven-plugin:1.8:test
          \- org.apache.maven.reporting:maven-reporting-api:jar:2.2.1:test

  2. org.patterntesting:patterntesting-concurrent:jar:1.7.1
    \- org.patterntesting:patterntesting-tools:jar:1.7.1:test
       \- org.codehaus.mojo:aspectj-maven-plugin:maven-plugin:1.8:test
          \- org.apache.maven.reporting:maven-reporting-api:jar:2.2.1:test

  3. org.patterntesting:patterntesting-tools:maven-plugin:1.7.1
    \- org.codehaus.mojo:aspectj-maven-plugin:maven-plugin:1.8:compile
       \- org.apache.maven.reporting:maven-reporting-api:jar:2.2.1:compile

3.0
  1. org.patterntesting:patterntesting-check-ct:jar:1.7.1
    \- org.patterntesting:patterntesting-tools:jar:1.7.1:test
       \- org.codehaus.mojo:aspectj-maven-plugin:maven-plugin:1.8:test
          \- org.apache.maven.reporting:maven-reporting-impl:jar:2.1:test
             \- (org.apache.maven.reporting:maven-reporting-api:jar:3.0:test - omitted for conflict with 2.2.1)

  2. org.patterntesting:patterntesting-concurrent:jar:1.7.1
    \- org.patterntesting:patterntesting-tools:jar:1.7.1:test
       \- org.codehaus.mojo:aspectj-maven-plugin:maven-plugin:1.8:test
          \- org.apache.maven.reporting:maven-reporting-impl:jar:2.1:test
             \- (org.apache.maven.reporting:maven-reporting-api:jar:3.0:test - omitted for conflict with 2.2.1)

  3. org.patterntesting:patterntesting-tools:maven-plugin:1.7.1
    \- org.codehaus.mojo:aspectj-maven-plugin:maven-plugin:1.8:compile
       \- org.apache.maven.reporting:maven-reporting-impl:jar:2.1:compile
          \- (org.apache.maven.reporting:maven-reporting-api:jar:3.0:compile - omitted for conflict with 2.2.1)

org.apache.maven.wagon:wagon-provider-api

[Error]
1.0-beta-6
  1. org.patterntesting:patterntesting-check-ct:jar:1.7.1
    \- org.patterntesting:patterntesting-tools:jar:1.7.1:test
       \- org.codehaus.mojo:aspectj-maven-plugin:maven-plugin:1.8:test
          \- org.apache.maven:maven-project:jar:2.2.1:test
             \- org.apache.maven:maven-artifact-manager:jar:2.2.1:test
                \- (org.apache.maven.wagon:wagon-provider-api:jar:1.0-beta-6:test - omitted for conflict with 2.10)

  2. org.patterntesting:patterntesting-concurrent:jar:1.7.1
    \- org.patterntesting:patterntesting-tools:jar:1.7.1:test
       \- org.codehaus.mojo:aspectj-maven-plugin:maven-plugin:1.8:test
          \- org.apache.maven:maven-project:jar:2.2.1:test
             \- org.apache.maven:maven-artifact-manager:jar:2.2.1:test
                \- (org.apache.maven.wagon:wagon-provider-api:jar:1.0-beta-6:test - omitted for conflict with 2.10)

  3. org.patterntesting:patterntesting-tools:maven-plugin:1.7.1
    \- org.codehaus.mojo:aspectj-maven-plugin:maven-plugin:1.8:compile
       \- org.apache.maven:maven-project:jar:2.2.1:compile
          \- org.apache.maven:maven-artifact-manager:jar:2.2.1:compile
             \- (org.apache.maven.wagon:wagon-provider-api:jar:1.0-beta-6:compile - omitted for conflict with 2.10)

2.10
  1. org.patterntesting:patterntesting-check-ct:jar:1.7.1
    \- org.patterntesting:patterntesting-tools:jar:1.7.1:test
       \- org.apache.maven:maven-compat:jar:3.3.9:test
          \- org.apache.maven.wagon:wagon-provider-api:jar:2.10:test

  2. org.patterntesting:patterntesting-concurrent:jar:1.7.1
    \- org.patterntesting:patterntesting-tools:jar:1.7.1:test
       \- org.apache.maven:maven-compat:jar:3.3.9:test
          \- org.apache.maven.wagon:wagon-provider-api:jar:2.10:test

  3. org.patterntesting:patterntesting-tools:maven-plugin:1.7.1
    \- org.apache.maven:maven-compat:jar:3.3.9:compile
       \- org.apache.maven.wagon:wagon-provider-api:jar:2.10:compile

org.apache.maven:maven-artifact

[Error]
2.2.1
  1. org.patterntesting:patterntesting-check-ct:jar:1.7.1
    \- org.patterntesting:patterntesting-tools:jar:1.7.1:test
       \- org.codehaus.mojo:aspectj-maven-plugin:maven-plugin:1.8:test
          +- (org.apache.maven:maven-artifact:jar:2.2.1:test - omitted for conflict with 3.3.9)
          \- org.apache.maven:maven-project:jar:2.2.1:test
             +- org.apache.maven:maven-artifact-manager:jar:2.2.1:test
             |  \- (org.apache.maven:maven-artifact:jar:2.2.1:test - omitted for conflict with 3.3.9)
             \- (org.apache.maven:maven-artifact:jar:2.2.1:test - omitted for conflict with 3.3.9)

  2. org.patterntesting:patterntesting-concurrent:jar:1.7.1
    \- org.patterntesting:patterntesting-tools:jar:1.7.1:test
       \- org.codehaus.mojo:aspectj-maven-plugin:maven-plugin:1.8:test
          +- (org.apache.maven:maven-artifact:jar:2.2.1:test - omitted for conflict with 3.3.9)
          \- org.apache.maven:maven-project:jar:2.2.1:test
             +- org.apache.maven:maven-artifact-manager:jar:2.2.1:test
             |  \- (org.apache.maven:maven-artifact:jar:2.2.1:test - omitted for conflict with 3.3.9)
             \- (org.apache.maven:maven-artifact:jar:2.2.1:test - omitted for conflict with 3.3.9)

  3. org.patterntesting:patterntesting-tools:maven-plugin:1.7.1
    \- org.codehaus.mojo:aspectj-maven-plugin:maven-plugin:1.8:compile
       +- (org.apache.maven:maven-artifact:jar:2.2.1:compile - omitted for conflict with 3.3.9)
       \- org.apache.maven:maven-project:jar:2.2.1:compile
          +- org.apache.maven:maven-artifact-manager:jar:2.2.1:compile
          |  \- (org.apache.maven:maven-artifact:jar:2.2.1:compile - omitted for conflict with 3.3.9)
          \- (org.apache.maven:maven-artifact:jar:2.2.1:compile - omitted for conflict with 3.3.9)

3.0
  1. org.patterntesting:patterntesting-check-ct:jar:1.7.1
    \- org.patterntesting:patterntesting-tools:jar:1.7.1:test
       \- org.apache.maven.plugin-tools:maven-plugin-annotations:jar:3.4:test
          \- (org.apache.maven:maven-artifact:jar:3.0:test - omitted for conflict with 3.3.9)

  2. org.patterntesting:patterntesting-concurrent:jar:1.7.1
    \- org.patterntesting:patterntesting-tools:jar:1.7.1:test
       \- org.apache.maven.plugin-tools:maven-plugin-annotations:jar:3.4:test
          \- (org.apache.maven:maven-artifact:jar:3.0:test - omitted for conflict with 3.3.9)

  3. org.patterntesting:patterntesting-tools:maven-plugin:1.7.1
    \- org.apache.maven.plugin-tools:maven-plugin-annotations:jar:3.4:compile
       \- (org.apache.maven:maven-artifact:jar:3.0:compile - omitted for conflict with 3.3.9)

3.3.9
  1. org.patterntesting:patterntesting-check-ct:jar:1.7.1
    \- org.patterntesting:patterntesting-tools:jar:1.7.1:test
       +- org.apache.maven:maven-plugin-api:jar:3.3.9:test
       |  \- org.apache.maven:maven-artifact:jar:3.3.9:test
       \- org.apache.maven:maven-compat:jar:3.3.9:test
          +- org.apache.maven:maven-model-builder:jar:3.3.9:test
          |  \- (org.apache.maven:maven-artifact:jar:3.3.9:test - omitted for duplicate)
          +- (org.apache.maven:maven-artifact:jar:3.3.9:test - omitted for duplicate)
          \- org.apache.maven:maven-core:jar:3.3.9:test
             \- (org.apache.maven:maven-artifact:jar:3.3.9:test - omitted for duplicate)

  2. org.patterntesting:patterntesting-concurrent:jar:1.7.1
    \- org.patterntesting:patterntesting-tools:jar:1.7.1:test
       +- org.apache.maven:maven-plugin-api:jar:3.3.9:test
       |  \- org.apache.maven:maven-artifact:jar:3.3.9:test
       \- org.apache.maven:maven-compat:jar:3.3.9:test
          +- org.apache.maven:maven-model-builder:jar:3.3.9:test
          |  \- (org.apache.maven:maven-artifact:jar:3.3.9:test - omitted for duplicate)
          +- (org.apache.maven:maven-artifact:jar:3.3.9:test - omitted for duplicate)
          \- org.apache.maven:maven-core:jar:3.3.9:test
             \- (org.apache.maven:maven-artifact:jar:3.3.9:test - omitted for duplicate)

  3. org.patterntesting:patterntesting-tools:maven-plugin:1.7.1
    +- org.apache.maven:maven-plugin-api:jar:3.3.9:compile
    |  \- org.apache.maven:maven-artifact:jar:3.3.9:compile
    \- org.apache.maven:maven-compat:jar:3.3.9:compile
       +- org.apache.maven:maven-model-builder:jar:3.3.9:compile
       |  \- (org.apache.maven:maven-artifact:jar:3.3.9:compile - omitted for duplicate)
       +- (org.apache.maven:maven-artifact:jar:3.3.9:compile - omitted for duplicate)
       \- org.apache.maven:maven-core:jar:3.3.9:compile
          \- (org.apache.maven:maven-artifact:jar:3.3.9:compile - omitted for duplicate)

org.apache.maven:maven-model

[Error]
2.2.1
  1. org.patterntesting:patterntesting-check-ct:jar:1.7.1
    \- org.patterntesting:patterntesting-tools:jar:1.7.1:test
       \- org.codehaus.mojo:aspectj-maven-plugin:maven-plugin:1.8:test
          +- (org.apache.maven:maven-model:jar:2.2.1:test - omitted for conflict with 3.3.9)
          \- org.apache.maven:maven-project:jar:2.2.1:test
             +- org.apache.maven:maven-profile:jar:2.2.1:test
             |  \- (org.apache.maven:maven-model:jar:2.2.1:test - omitted for conflict with 3.3.9)
             \- (org.apache.maven:maven-model:jar:2.2.1:test - omitted for conflict with 3.3.9)

  2. org.patterntesting:patterntesting-concurrent:jar:1.7.1
    \- org.patterntesting:patterntesting-tools:jar:1.7.1:test
       \- org.codehaus.mojo:aspectj-maven-plugin:maven-plugin:1.8:test
          +- (org.apache.maven:maven-model:jar:2.2.1:test - omitted for conflict with 3.3.9)
          \- org.apache.maven:maven-project:jar:2.2.1:test
             +- org.apache.maven:maven-profile:jar:2.2.1:test
             |  \- (org.apache.maven:maven-model:jar:2.2.1:test - omitted for conflict with 3.3.9)
             \- (org.apache.maven:maven-model:jar:2.2.1:test - omitted for conflict with 3.3.9)

  3. org.patterntesting:patterntesting-tools:maven-plugin:1.7.1
    +- org.codehaus.mojo:aspectj-maven-plugin:maven-plugin:1.8:compile
    |  +- (org.apache.maven:maven-model:jar:2.2.1:compile - omitted for conflict with 3.3.9)
    |  \- org.apache.maven:maven-project:jar:2.2.1:compile
    |     +- org.apache.maven:maven-profile:jar:2.2.1:compile
    |     |  \- (org.apache.maven:maven-model:jar:2.2.1:compile - omitted for conflict with 3.3.9)
    |     \- (org.apache.maven:maven-model:jar:2.2.1:compile - omitted for conflict with 3.3.9)
    \- org.apache.maven.archetype:archetype-common:jar:2.4:test
       \- (org.apache.maven:maven-model:jar:2.2.1:test - omitted for conflict with 3.3.9)

3.3.9
  1. org.patterntesting:patterntesting-check-ct:jar:1.7.1
    \- org.patterntesting:patterntesting-tools:jar:1.7.1:test
       +- org.apache.maven:maven-plugin-api:jar:3.3.9:test
       |  \- org.apache.maven:maven-model:jar:3.3.9:test
       \- org.apache.maven:maven-compat:jar:3.3.9:test
          +- (org.apache.maven:maven-model:jar:3.3.9:test - omitted for duplicate)
          +- org.apache.maven:maven-model-builder:jar:3.3.9:test
          |  \- (org.apache.maven:maven-model:jar:3.3.9:test - omitted for duplicate)
          \- org.apache.maven:maven-core:jar:3.3.9:test
             +- (org.apache.maven:maven-model:jar:3.3.9:test - omitted for duplicate)
             \- org.apache.maven:maven-aether-provider:jar:3.3.9:test
                \- (org.apache.maven:maven-model:jar:3.3.9:test - omitted for duplicate)

  2. org.patterntesting:patterntesting-concurrent:jar:1.7.1
    \- org.patterntesting:patterntesting-tools:jar:1.7.1:test
       +- org.apache.maven:maven-plugin-api:jar:3.3.9:test
       |  \- org.apache.maven:maven-model:jar:3.3.9:test
       \- org.apache.maven:maven-compat:jar:3.3.9:test
          +- (org.apache.maven:maven-model:jar:3.3.9:test - omitted for duplicate)
          +- org.apache.maven:maven-model-builder:jar:3.3.9:test
          |  \- (org.apache.maven:maven-model:jar:3.3.9:test - omitted for duplicate)
          \- org.apache.maven:maven-core:jar:3.3.9:test
             +- (org.apache.maven:maven-model:jar:3.3.9:test - omitted for duplicate)
             \- org.apache.maven:maven-aether-provider:jar:3.3.9:test
                \- (org.apache.maven:maven-model:jar:3.3.9:test - omitted for duplicate)

  3. org.patterntesting:patterntesting-tools:maven-plugin:1.7.1
    +- org.apache.maven:maven-plugin-api:jar:3.3.9:compile
    |  \- org.apache.maven:maven-model:jar:3.3.9:compile
    \- org.apache.maven:maven-compat:jar:3.3.9:compile
       +- (org.apache.maven:maven-model:jar:3.3.9:compile - omitted for duplicate)
       +- org.apache.maven:maven-model-builder:jar:3.3.9:compile
       |  \- (org.apache.maven:maven-model:jar:3.3.9:compile - omitted for duplicate)
       \- org.apache.maven:maven-core:jar:3.3.9:compile
          +- (org.apache.maven:maven-model:jar:3.3.9:compile - omitted for duplicate)
          \- org.apache.maven:maven-aether-provider:jar:3.3.9:compile
             \- (org.apache.maven:maven-model:jar:3.3.9:compile - omitted for duplicate)

org.apache.maven:maven-plugin-api

[Error]
2.0.10
  1. org.patterntesting:patterntesting-check-ct:jar:1.7.1
    \- org.patterntesting:patterntesting-tools:jar:1.7.1:test
       \- org.codehaus.mojo:aspectj-maven-plugin:maven-plugin:1.8:test
          \- org.apache.maven.reporting:maven-reporting-impl:jar:2.1:test
             \- (org.apache.maven:maven-plugin-api:jar:2.0.10:test - omitted for conflict with 3.3.9)

  2. org.patterntesting:patterntesting-concurrent:jar:1.7.1
    \- org.patterntesting:patterntesting-tools:jar:1.7.1:test
       \- org.codehaus.mojo:aspectj-maven-plugin:maven-plugin:1.8:test
          \- org.apache.maven.reporting:maven-reporting-impl:jar:2.1:test
             \- (org.apache.maven:maven-plugin-api:jar:2.0.10:test - omitted for conflict with 3.3.9)

  3. org.patterntesting:patterntesting-tools:maven-plugin:1.7.1
    \- org.codehaus.mojo:aspectj-maven-plugin:maven-plugin:1.8:compile
       \- org.apache.maven.reporting:maven-reporting-impl:jar:2.1:compile
          \- (org.apache.maven:maven-plugin-api:jar:2.0.10:compile - omitted for conflict with 3.3.9)

2.2.1
  1. org.patterntesting:patterntesting-check-ct:jar:1.7.1
    \- org.patterntesting:patterntesting-tools:jar:1.7.1:test
       \- org.codehaus.mojo:aspectj-maven-plugin:maven-plugin:1.8:test
          \- (org.apache.maven:maven-plugin-api:jar:2.2.1:test - omitted for conflict with 3.3.9)

  2. org.patterntesting:patterntesting-concurrent:jar:1.7.1
    \- org.patterntesting:patterntesting-tools:jar:1.7.1:test
       \- org.codehaus.mojo:aspectj-maven-plugin:maven-plugin:1.8:test
          \- (org.apache.maven:maven-plugin-api:jar:2.2.1:test - omitted for conflict with 3.3.9)

  3. org.patterntesting:patterntesting-tools:maven-plugin:1.7.1
    \- org.codehaus.mojo:aspectj-maven-plugin:maven-plugin:1.8:compile
       \- (org.apache.maven:maven-plugin-api:jar:2.2.1:compile - omitted for conflict with 3.3.9)

3.3.9
  1. org.patterntesting:patterntesting-check-ct:jar:1.7.1
    \- org.patterntesting:patterntesting-tools:jar:1.7.1:test
       +- org.apache.maven:maven-plugin-api:jar:3.3.9:test
       \- org.apache.maven:maven-compat:jar:3.3.9:test
          \- org.apache.maven:maven-core:jar:3.3.9:test
             \- (org.apache.maven:maven-plugin-api:jar:3.3.9:test - omitted for duplicate)

  2. org.patterntesting:patterntesting-concurrent:jar:1.7.1
    \- org.patterntesting:patterntesting-tools:jar:1.7.1:test
       +- org.apache.maven:maven-plugin-api:jar:3.3.9:test
       \- org.apache.maven:maven-compat:jar:3.3.9:test
          \- org.apache.maven:maven-core:jar:3.3.9:test
             \- (org.apache.maven:maven-plugin-api:jar:3.3.9:test - omitted for duplicate)

  3. org.patterntesting:patterntesting-tools:maven-plugin:1.7.1
    +- org.apache.maven:maven-plugin-api:jar:3.3.9:compile
    \- org.apache.maven:maven-compat:jar:3.3.9:compile
       \- org.apache.maven:maven-core:jar:3.3.9:compile
          \- (org.apache.maven:maven-plugin-api:jar:3.3.9:compile - omitted for duplicate)

org.apache.maven:maven-project

[Error]
2.0.10
  1. org.patterntesting:patterntesting-check-ct:jar:1.7.1
    \- org.patterntesting:patterntesting-tools:jar:1.7.1:test
       \- org.codehaus.mojo:aspectj-maven-plugin:maven-plugin:1.8:test
          \- org.apache.maven.reporting:maven-reporting-impl:jar:2.1:test
             \- (org.apache.maven:maven-project:jar:2.0.10:test - omitted for conflict with 2.2.1)

  2. org.patterntesting:patterntesting-concurrent:jar:1.7.1
    \- org.patterntesting:patterntesting-tools:jar:1.7.1:test
       \- org.codehaus.mojo:aspectj-maven-plugin:maven-plugin:1.8:test
          \- org.apache.maven.reporting:maven-reporting-impl:jar:2.1:test
             \- (org.apache.maven:maven-project:jar:2.0.10:test - omitted for conflict with 2.2.1)

  3. org.patterntesting:patterntesting-tools:maven-plugin:1.7.1
    \- org.codehaus.mojo:aspectj-maven-plugin:maven-plugin:1.8:compile
       \- org.apache.maven.reporting:maven-reporting-impl:jar:2.1:compile
          \- (org.apache.maven:maven-project:jar:2.0.10:compile - omitted for conflict with 2.2.1)

2.2.1
  1. org.patterntesting:patterntesting-check-ct:jar:1.7.1
    \- org.patterntesting:patterntesting-tools:jar:1.7.1:test
       \- org.codehaus.mojo:aspectj-maven-plugin:maven-plugin:1.8:test
          \- org.apache.maven:maven-project:jar:2.2.1:test

  2. org.patterntesting:patterntesting-concurrent:jar:1.7.1
    \- org.patterntesting:patterntesting-tools:jar:1.7.1:test
       \- org.codehaus.mojo:aspectj-maven-plugin:maven-plugin:1.8:test
          \- org.apache.maven:maven-project:jar:2.2.1:test

  3. org.patterntesting:patterntesting-tools:maven-plugin:1.7.1
    +- org.codehaus.mojo:aspectj-maven-plugin:maven-plugin:1.8:compile
    |  \- org.apache.maven:maven-project:jar:2.2.1:compile
    \- org.apache.maven.archetype:archetype-common:jar:2.4:test
       \- (org.apache.maven:maven-project:jar:2.2.1:test - omitted for duplicate)

org.apache.maven:maven-repository-metadata

[Error]
2.2.1
  1. org.patterntesting:patterntesting-check-ct:jar:1.7.1
    \- org.patterntesting:patterntesting-tools:jar:1.7.1:test
       \- org.codehaus.mojo:aspectj-maven-plugin:maven-plugin:1.8:test
          \- org.apache.maven:maven-project:jar:2.2.1:test
             \- org.apache.maven:maven-artifact-manager:jar:2.2.1:test
                \- (org.apache.maven:maven-repository-metadata:jar:2.2.1:test - omitted for conflict with 3.3.9)

  2. org.patterntesting:patterntesting-concurrent:jar:1.7.1
    \- org.patterntesting:patterntesting-tools:jar:1.7.1:test
       \- org.codehaus.mojo:aspectj-maven-plugin:maven-plugin:1.8:test
          \- org.apache.maven:maven-project:jar:2.2.1:test
             \- org.apache.maven:maven-artifact-manager:jar:2.2.1:test
                \- (org.apache.maven:maven-repository-metadata:jar:2.2.1:test - omitted for conflict with 3.3.9)

  3. org.patterntesting:patterntesting-tools:maven-plugin:1.7.1
    \- org.codehaus.mojo:aspectj-maven-plugin:maven-plugin:1.8:compile
       \- org.apache.maven:maven-project:jar:2.2.1:compile
          \- org.apache.maven:maven-artifact-manager:jar:2.2.1:compile
             \- (org.apache.maven:maven-repository-metadata:jar:2.2.1:compile - omitted for conflict with 3.3.9)

3.3.9
  1. org.patterntesting:patterntesting-check-ct:jar:1.7.1
    \- org.patterntesting:patterntesting-tools:jar:1.7.1:test
       \- org.apache.maven:maven-compat:jar:3.3.9:test
          \- org.apache.maven:maven-core:jar:3.3.9:test
             +- org.apache.maven:maven-repository-metadata:jar:3.3.9:test
             \- org.apache.maven:maven-aether-provider:jar:3.3.9:test
                \- (org.apache.maven:maven-repository-metadata:jar:3.3.9:test - omitted for duplicate)

  2. org.patterntesting:patterntesting-concurrent:jar:1.7.1
    \- org.patterntesting:patterntesting-tools:jar:1.7.1:test
       \- org.apache.maven:maven-compat:jar:3.3.9:test
          \- org.apache.maven:maven-core:jar:3.3.9:test
             +- org.apache.maven:maven-repository-metadata:jar:3.3.9:test
             \- org.apache.maven:maven-aether-provider:jar:3.3.9:test
                \- (org.apache.maven:maven-repository-metadata:jar:3.3.9:test - omitted for duplicate)

  3. org.patterntesting:patterntesting-tools:maven-plugin:1.7.1
    \- org.apache.maven:maven-compat:jar:3.3.9:compile
       \- org.apache.maven:maven-core:jar:3.3.9:compile
          +- org.apache.maven:maven-repository-metadata:jar:3.3.9:compile
          \- org.apache.maven:maven-aether-provider:jar:3.3.9:compile
             \- (org.apache.maven:maven-repository-metadata:jar:3.3.9:compile - omitted for duplicate)

org.apache.maven:maven-settings

[Error]
2.2.1
  1. org.patterntesting:patterntesting-check-ct:jar:1.7.1
    \- org.patterntesting:patterntesting-tools:jar:1.7.1:test
       \- org.codehaus.mojo:aspectj-maven-plugin:maven-plugin:1.8:test
          \- org.apache.maven:maven-project:jar:2.2.1:test
             \- (org.apache.maven:maven-settings:jar:2.2.1:test - omitted for conflict with 3.3.9)

  2. org.patterntesting:patterntesting-concurrent:jar:1.7.1
    \- org.patterntesting:patterntesting-tools:jar:1.7.1:test
       \- org.codehaus.mojo:aspectj-maven-plugin:maven-plugin:1.8:test
          \- org.apache.maven:maven-project:jar:2.2.1:test
             \- (org.apache.maven:maven-settings:jar:2.2.1:test - omitted for conflict with 3.3.9)

  3. org.patterntesting:patterntesting-tools:maven-plugin:1.7.1
    \- org.codehaus.mojo:aspectj-maven-plugin:maven-plugin:1.8:compile
       \- org.apache.maven:maven-project:jar:2.2.1:compile
          \- (org.apache.maven:maven-settings:jar:2.2.1:compile - omitted for conflict with 3.3.9)

3.3.9
  1. org.patterntesting:patterntesting-check-ct:jar:1.7.1
    \- org.patterntesting:patterntesting-tools:jar:1.7.1:test
       \- org.apache.maven:maven-compat:jar:3.3.9:test
          +- org.apache.maven:maven-settings:jar:3.3.9:test
          \- org.apache.maven:maven-core:jar:3.3.9:test
             +- (org.apache.maven:maven-settings:jar:3.3.9:test - omitted for duplicate)
             \- org.apache.maven:maven-settings-builder:jar:3.3.9:test
                \- (org.apache.maven:maven-settings:jar:3.3.9:test - omitted for duplicate)

  2. org.patterntesting:patterntesting-concurrent:jar:1.7.1
    \- org.patterntesting:patterntesting-tools:jar:1.7.1:test
       \- org.apache.maven:maven-compat:jar:3.3.9:test
          +- org.apache.maven:maven-settings:jar:3.3.9:test
          \- org.apache.maven:maven-core:jar:3.3.9:test
             +- (org.apache.maven:maven-settings:jar:3.3.9:test - omitted for duplicate)
             \- org.apache.maven:maven-settings-builder:jar:3.3.9:test
                \- (org.apache.maven:maven-settings:jar:3.3.9:test - omitted for duplicate)

  3. org.patterntesting:patterntesting-tools:maven-plugin:1.7.1
    \- org.apache.maven:maven-compat:jar:3.3.9:compile
       +- org.apache.maven:maven-settings:jar:3.3.9:compile
       \- org.apache.maven:maven-core:jar:3.3.9:compile
          +- (org.apache.maven:maven-settings:jar:3.3.9:compile - omitted for duplicate)
          \- org.apache.maven:maven-settings-builder:jar:3.3.9:compile
             \- (org.apache.maven:maven-settings:jar:3.3.9:compile - omitted for duplicate)

org.codehaus.plexus:plexus-component-annotations

[Error]
1.5.5
  1. org.patterntesting:patterntesting-check-ct:jar:1.7.1
    \- org.patterntesting:patterntesting-tools:jar:1.7.1:test
       \- org.apache.maven:maven-plugin-api:jar:3.3.9:test
          \- org.eclipse.sisu:org.eclipse.sisu.plexus:jar:0.3.2:test
             \- (org.codehaus.plexus:plexus-component-annotations:jar:1.5.5:test - omitted for conflict with 1.6)

  2. org.patterntesting:patterntesting-concurrent:jar:1.7.1
    \- org.patterntesting:patterntesting-tools:jar:1.7.1:test
       \- org.apache.maven:maven-plugin-api:jar:3.3.9:test
          \- org.eclipse.sisu:org.eclipse.sisu.plexus:jar:0.3.2:test
             \- (org.codehaus.plexus:plexus-component-annotations:jar:1.5.5:test - omitted for conflict with 1.6)

  3. org.patterntesting:patterntesting-tools:maven-plugin:1.7.1
    +- org.apache.maven:maven-plugin-api:jar:3.3.9:compile
    |  \- org.eclipse.sisu:org.eclipse.sisu.plexus:jar:0.3.2:compile
    |     \- (org.codehaus.plexus:plexus-component-annotations:jar:1.5.5:compile - omitted for conflict with 1.6)
    \- org.apache.maven.archetype:archetype-common:jar:2.4:test
       +- (org.codehaus.plexus:plexus-component-annotations:jar:1.5.5:test - omitted for conflict with 1.6)
       \- org.apache.maven.shared:maven-invoker:jar:2.1.1:test
          \- (org.codehaus.plexus:plexus-component-annotations:jar:1.5.5:test - omitted for conflict with 1.6)

1.6
  1. org.patterntesting:patterntesting-check-ct:jar:1.7.1
    \- org.patterntesting:patterntesting-tools:jar:1.7.1:test
       \- org.apache.maven:maven-compat:jar:3.3.9:test
          +- org.apache.maven:maven-model-builder:jar:3.3.9:test
          |  \- (org.codehaus.plexus:plexus-component-annotations:jar:1.6:test - omitted for conflict with 1.5.5)
          +- org.apache.maven:maven-core:jar:3.3.9:test
          |  +- org.apache.maven:maven-settings-builder:jar:3.3.9:test
          |  |  \- (org.codehaus.plexus:plexus-component-annotations:jar:1.6:test - omitted for conflict with 1.5.5)
          |  +- org.apache.maven:maven-aether-provider:jar:3.3.9:test
          |  |  \- (org.codehaus.plexus:plexus-component-annotations:jar:1.6:test - omitted for conflict with 1.5.5)
          |  \- (org.codehaus.plexus:plexus-component-annotations:jar:1.6:test - omitted for conflict with 1.5.5)
          \- org.codehaus.plexus:plexus-component-annotations:jar:1.6:test

  2. org.patterntesting:patterntesting-concurrent:jar:1.7.1
    \- org.patterntesting:patterntesting-tools:jar:1.7.1:test
       \- org.apache.maven:maven-compat:jar:3.3.9:test
          +- org.apache.maven:maven-model-builder:jar:3.3.9:test
          |  \- (org.codehaus.plexus:plexus-component-annotations:jar:1.6:test - omitted for conflict with 1.5.5)
          +- org.apache.maven:maven-core:jar:3.3.9:test
          |  +- org.apache.maven:maven-settings-builder:jar:3.3.9:test
          |  |  \- (org.codehaus.plexus:plexus-component-annotations:jar:1.6:test - omitted for conflict with 1.5.5)
          |  +- org.apache.maven:maven-aether-provider:jar:3.3.9:test
          |  |  \- (org.codehaus.plexus:plexus-component-annotations:jar:1.6:test - omitted for conflict with 1.5.5)
          |  \- (org.codehaus.plexus:plexus-component-annotations:jar:1.6:test - omitted for conflict with 1.5.5)
          \- org.codehaus.plexus:plexus-component-annotations:jar:1.6:test

  3. org.patterntesting:patterntesting-tools:maven-plugin:1.7.1
    \- org.apache.maven:maven-compat:jar:3.3.9:compile
       +- org.apache.maven:maven-model-builder:jar:3.3.9:compile
       |  \- (org.codehaus.plexus:plexus-component-annotations:jar:1.6:compile - omitted for conflict with 1.5.5)
       +- org.apache.maven:maven-core:jar:3.3.9:compile
       |  +- org.apache.maven:maven-settings-builder:jar:3.3.9:compile
       |  |  \- (org.codehaus.plexus:plexus-component-annotations:jar:1.6:compile - omitted for conflict with 1.5.5)
       |  +- org.apache.maven:maven-aether-provider:jar:3.3.9:compile
       |  |  \- (org.codehaus.plexus:plexus-component-annotations:jar:1.6:compile - omitted for conflict with 1.5.5)
       |  \- (org.codehaus.plexus:plexus-component-annotations:jar:1.6:compile - omitted for conflict with 1.5.5)
       \- org.codehaus.plexus:plexus-component-annotations:jar:1.6:compile

org.codehaus.plexus:plexus-container-default

[Error]
1.0-alpha-20
  1. org.patterntesting:patterntesting-check-ct:jar:1.7.1
    \- org.patterntesting:patterntesting-tools:jar:1.7.1:test
       \- org.codehaus.mojo:aspectj-maven-plugin:maven-plugin:1.8:test
          \- org.apache.maven.doxia:doxia-site-renderer:jar:1.1.2:test
             \- org.codehaus.plexus:plexus-velocity:jar:1.1.7:test
                \- (org.codehaus.plexus:plexus-container-default:jar:1.0-alpha-20:test - omitted for conflict with 1.0-alpha-9-stable-1)

  2. org.patterntesting:patterntesting-concurrent:jar:1.7.1
    \- org.patterntesting:patterntesting-tools:jar:1.7.1:test
       \- org.codehaus.mojo:aspectj-maven-plugin:maven-plugin:1.8:test
          \- org.apache.maven.doxia:doxia-site-renderer:jar:1.1.2:test
             \- org.codehaus.plexus:plexus-velocity:jar:1.1.7:test
                \- (org.codehaus.plexus:plexus-container-default:jar:1.0-alpha-20:test - omitted for conflict with 1.0-alpha-9-stable-1)

  3. org.patterntesting:patterntesting-tools:maven-plugin:1.7.1
    \- org.codehaus.mojo:aspectj-maven-plugin:maven-plugin:1.8:compile
       \- org.apache.maven.doxia:doxia-site-renderer:jar:1.1.2:compile
          \- org.codehaus.plexus:plexus-velocity:jar:1.1.8:compile
             \- (org.codehaus.plexus:plexus-container-default:jar:1.0-alpha-20:compile - omitted for conflict with 1.0-alpha-9-stable-1)

1.0-alpha-30
  1. org.patterntesting:patterntesting-check-ct:jar:1.7.1
    \- org.patterntesting:patterntesting-tools:jar:1.7.1:test
       \- org.codehaus.mojo:aspectj-maven-plugin:maven-plugin:1.8:test
          +- org.apache.maven.reporting:maven-reporting-api:jar:2.2.1:test
          |  \- org.apache.maven.doxia:doxia-logging-api:jar:1.1:test
          |     \- (org.codehaus.plexus:plexus-container-default:jar:1.0-alpha-30:test - omitted for conflict with 1.0-alpha-9-stable-1)
          \- org.apache.maven.doxia:doxia-site-renderer:jar:1.1.2:test
             +- org.apache.maven.doxia:doxia-core:jar:1.1.2:test
             |  \- (org.codehaus.plexus:plexus-container-default:jar:1.0-alpha-30:test - omitted for conflict with 1.0-alpha-9-stable-1)
             \- (org.codehaus.plexus:plexus-container-default:jar:1.0-alpha-30:test - omitted for conflict with 1.0-alpha-9-stable-1)

  2. org.patterntesting:patterntesting-concurrent:jar:1.7.1
    \- org.patterntesting:patterntesting-tools:jar:1.7.1:test
       \- org.codehaus.mojo:aspectj-maven-plugin:maven-plugin:1.8:test
          +- org.apache.maven.reporting:maven-reporting-api:jar:2.2.1:test
          |  \- org.apache.maven.doxia:doxia-logging-api:jar:1.1:test
          |     \- (org.codehaus.plexus:plexus-container-default:jar:1.0-alpha-30:test - omitted for conflict with 1.0-alpha-9-stable-1)
          \- org.apache.maven.doxia:doxia-site-renderer:jar:1.1.2:test
             +- org.apache.maven.doxia:doxia-core:jar:1.1.2:test
             |  \- (org.codehaus.plexus:plexus-container-default:jar:1.0-alpha-30:test - omitted for conflict with 1.0-alpha-9-stable-1)
             \- (org.codehaus.plexus:plexus-container-default:jar:1.0-alpha-30:test - omitted for conflict with 1.0-alpha-9-stable-1)

  3. org.patterntesting:patterntesting-tools:maven-plugin:1.7.1
    \- org.codehaus.mojo:aspectj-maven-plugin:maven-plugin:1.8:compile
       +- org.apache.maven.reporting:maven-reporting-api:jar:2.2.1:compile
       |  \- org.apache.maven.doxia:doxia-logging-api:jar:1.1:compile
       |     \- (org.codehaus.plexus:plexus-container-default:jar:1.0-alpha-30:compile - omitted for conflict with 1.0-alpha-9-stable-1)
       \- org.apache.maven.doxia:doxia-site-renderer:jar:1.1.2:compile
          +- org.apache.maven.doxia:doxia-core:jar:1.1.2:compile
          |  \- (org.codehaus.plexus:plexus-container-default:jar:1.0-alpha-30:compile - omitted for conflict with 1.0-alpha-9-stable-1)
          \- (org.codehaus.plexus:plexus-container-default:jar:1.0-alpha-30:compile - omitted for conflict with 1.0-alpha-9-stable-1)

1.0-alpha-9-stable-1
  1. org.patterntesting:patterntesting-check-ct:jar:1.7.1
    \- org.patterntesting:patterntesting-tools:jar:1.7.1:test
       +- org.codehaus.mojo:aspectj-maven-plugin:maven-plugin:1.8:test
       |  \- org.apache.maven:maven-project:jar:2.2.1:test
       |     +- org.apache.maven:maven-profile:jar:2.2.1:test
       |     |  \- (org.codehaus.plexus:plexus-container-default:jar:1.0-alpha-9-stable-1:test - omitted for duplicate)
       |     +- org.apache.maven:maven-artifact-manager:jar:2.2.1:test
       |     |  \- (org.codehaus.plexus:plexus-container-default:jar:1.0-alpha-9-stable-1:test - omitted for duplicate)
       |     +- org.apache.maven:maven-plugin-registry:jar:2.2.1:test
       |     |  \- (org.codehaus.plexus:plexus-container-default:jar:1.0-alpha-9-stable-1:test - omitted for duplicate)
       |     \- org.codehaus.plexus:plexus-container-default:jar:1.0-alpha-9-stable-1:test
       \- org.apache.maven.plugin-testing:maven-plugin-testing-harness:jar:3.3.0:test
          \- org.codehaus.plexus:plexus-archiver:jar:2.2:test
             \- (org.codehaus.plexus:plexus-container-default:jar:1.0-alpha-9-stable-1:test - omitted for duplicate)

  2. org.patterntesting:patterntesting-concurrent:jar:1.7.1
    \- org.patterntesting:patterntesting-tools:jar:1.7.1:test
       +- org.codehaus.mojo:aspectj-maven-plugin:maven-plugin:1.8:test
       |  \- org.apache.maven:maven-project:jar:2.2.1:test
       |     +- org.apache.maven:maven-profile:jar:2.2.1:test
       |     |  \- (org.codehaus.plexus:plexus-container-default:jar:1.0-alpha-9-stable-1:test - omitted for duplicate)
       |     +- org.apache.maven:maven-artifact-manager:jar:2.2.1:test
       |     |  \- (org.codehaus.plexus:plexus-container-default:jar:1.0-alpha-9-stable-1:test - omitted for duplicate)
       |     +- org.apache.maven:maven-plugin-registry:jar:2.2.1:test
       |     |  \- (org.codehaus.plexus:plexus-container-default:jar:1.0-alpha-9-stable-1:test - omitted for duplicate)
       |     \- org.codehaus.plexus:plexus-container-default:jar:1.0-alpha-9-stable-1:test
       \- org.apache.maven.plugin-testing:maven-plugin-testing-harness:jar:3.3.0:test
          \- org.codehaus.plexus:plexus-archiver:jar:2.2:test
             \- (org.codehaus.plexus:plexus-container-default:jar:1.0-alpha-9-stable-1:test - omitted for duplicate)

  3. org.patterntesting:patterntesting-tools:maven-plugin:1.7.1
    +- org.codehaus.mojo:aspectj-maven-plugin:maven-plugin:1.8:compile
    |  \- org.apache.maven:maven-project:jar:2.2.1:compile
    |     +- org.apache.maven:maven-profile:jar:2.2.1:compile
    |     |  \- (org.codehaus.plexus:plexus-container-default:jar:1.0-alpha-9-stable-1:compile - omitted for duplicate)
    |     +- org.apache.maven:maven-artifact-manager:jar:2.2.1:compile
    |     |  \- (org.codehaus.plexus:plexus-container-default:jar:1.0-alpha-9-stable-1:compile - omitted for duplicate)
    |     +- org.apache.maven:maven-plugin-registry:jar:2.2.1:compile
    |     |  \- (org.codehaus.plexus:plexus-container-default:jar:1.0-alpha-9-stable-1:compile - omitted for duplicate)
    |     \- org.codehaus.plexus:plexus-container-default:jar:1.0-alpha-9-stable-1:compile
    +- org.apache.maven.archetype:archetype-common:jar:2.4:test
    |  \- (org.codehaus.plexus:plexus-container-default:jar:1.0-alpha-9-stable-1:compile - scope updated from test; omitted for duplicate)
    \- org.apache.maven.plugin-testing:maven-plugin-testing-harness:jar:3.3.0:compile
       \- org.codehaus.plexus:plexus-archiver:jar:2.2:compile
          \- (org.codehaus.plexus:plexus-container-default:jar:1.0-alpha-9-stable-1:compile - omitted for duplicate)

org.codehaus.plexus:plexus-interpolation

[Error]
1.11
  1. org.patterntesting:patterntesting-check-ct:jar:1.7.1
    \- org.patterntesting:patterntesting-tools:jar:1.7.1:test
       \- org.codehaus.mojo:aspectj-maven-plugin:maven-plugin:1.8:test
          \- org.apache.maven:maven-project:jar:2.2.1:test
             +- org.apache.maven:maven-profile:jar:2.2.1:test
             |  \- (org.codehaus.plexus:plexus-interpolation:jar:1.11:test - omitted for conflict with 1.21)
             \- (org.codehaus.plexus:plexus-interpolation:jar:1.11:test - omitted for conflict with 1.21)

  2. org.patterntesting:patterntesting-concurrent:jar:1.7.1
    \- org.patterntesting:patterntesting-tools:jar:1.7.1:test
       \- org.codehaus.mojo:aspectj-maven-plugin:maven-plugin:1.8:test
          \- org.apache.maven:maven-project:jar:2.2.1:test
             +- org.apache.maven:maven-profile:jar:2.2.1:test
             |  \- (org.codehaus.plexus:plexus-interpolation:jar:1.11:test - omitted for conflict with 1.21)
             \- (org.codehaus.plexus:plexus-interpolation:jar:1.11:test - omitted for conflict with 1.21)

  3. org.patterntesting:patterntesting-tools:maven-plugin:1.7.1
    \- org.codehaus.mojo:aspectj-maven-plugin:maven-plugin:1.8:compile
       \- org.apache.maven:maven-project:jar:2.2.1:compile
          +- org.apache.maven:maven-profile:jar:2.2.1:compile
          |  \- (org.codehaus.plexus:plexus-interpolation:jar:1.11:compile - omitted for conflict with 1.21)
          \- (org.codehaus.plexus:plexus-interpolation:jar:1.11:compile - omitted for conflict with 1.21)

1.21
  1. org.patterntesting:patterntesting-check-ct:jar:1.7.1
    \- org.patterntesting:patterntesting-tools:jar:1.7.1:test
       \- org.apache.maven:maven-compat:jar:3.3.9:test
          +- org.apache.maven:maven-model-builder:jar:3.3.9:test
          |  \- (org.codehaus.plexus:plexus-interpolation:jar:1.21:test - omitted for duplicate)
          +- org.apache.maven:maven-core:jar:3.3.9:test
          |  +- org.apache.maven:maven-settings-builder:jar:3.3.9:test
          |  |  \- (org.codehaus.plexus:plexus-interpolation:jar:1.21:test - omitted for duplicate)
          |  \- (org.codehaus.plexus:plexus-interpolation:jar:1.21:test - omitted for duplicate)
          \- org.codehaus.plexus:plexus-interpolation:jar:1.21:test

  2. org.patterntesting:patterntesting-concurrent:jar:1.7.1
    \- org.patterntesting:patterntesting-tools:jar:1.7.1:test
       \- org.apache.maven:maven-compat:jar:3.3.9:test
          +- org.apache.maven:maven-model-builder:jar:3.3.9:test
          |  \- (org.codehaus.plexus:plexus-interpolation:jar:1.21:test - omitted for duplicate)
          +- org.apache.maven:maven-core:jar:3.3.9:test
          |  +- org.apache.maven:maven-settings-builder:jar:3.3.9:test
          |  |  \- (org.codehaus.plexus:plexus-interpolation:jar:1.21:test - omitted for duplicate)
          |  \- (org.codehaus.plexus:plexus-interpolation:jar:1.21:test - omitted for duplicate)
          \- org.codehaus.plexus:plexus-interpolation:jar:1.21:test

  3. org.patterntesting:patterntesting-tools:maven-plugin:1.7.1
    \- org.apache.maven:maven-compat:jar:3.3.9:compile
       +- org.apache.maven:maven-model-builder:jar:3.3.9:compile
       |  \- (org.codehaus.plexus:plexus-interpolation:jar:1.21:compile - omitted for duplicate)
       +- org.apache.maven:maven-core:jar:3.3.9:compile
       |  +- org.apache.maven:maven-settings-builder:jar:3.3.9:compile
       |  |  \- (org.codehaus.plexus:plexus-interpolation:jar:1.21:compile - omitted for duplicate)
       |  \- (org.codehaus.plexus:plexus-interpolation:jar:1.21:compile - omitted for duplicate)
       \- org.codehaus.plexus:plexus-interpolation:jar:1.21:compile

org.codehaus.plexus:plexus-utils

[Error]
1.0.4
  1. org.patterntesting:patterntesting-check-ct:jar:1.7.1
    \- org.patterntesting:patterntesting-tools:jar:1.7.1:test
       \- org.codehaus.mojo:aspectj-maven-plugin:maven-plugin:1.8:test
          \- org.apache.maven:maven-project:jar:2.2.1:test
             \- org.codehaus.plexus:plexus-container-default:jar:1.0-alpha-9-stable-1:test
                \- (org.codehaus.plexus:plexus-utils:jar:1.0.4:test - omitted for conflict with 3.0.22)

  2. org.patterntesting:patterntesting-concurrent:jar:1.7.1
    \- org.patterntesting:patterntesting-tools:jar:1.7.1:test
       \- org.codehaus.mojo:aspectj-maven-plugin:maven-plugin:1.8:test
          \- org.apache.maven:maven-project:jar:2.2.1:test
             \- org.codehaus.plexus:plexus-container-default:jar:1.0-alpha-9-stable-1:test
                \- (org.codehaus.plexus:plexus-utils:jar:1.0.4:test - omitted for conflict with 3.0.22)

  3. org.patterntesting:patterntesting-tools:maven-plugin:1.7.1
    \- org.codehaus.mojo:aspectj-maven-plugin:maven-plugin:1.8:compile
       \- org.apache.maven:maven-project:jar:2.2.1:compile
          \- org.codehaus.plexus:plexus-container-default:jar:1.0-alpha-9-stable-1:compile
             \- (org.codehaus.plexus:plexus-utils:jar:1.0.4:compile - omitted for conflict with 3.0.22)

1.4.1
  1. org.patterntesting:patterntesting-check-ct:jar:1.7.1
    \- org.patterntesting:patterntesting-tools:jar:1.7.1:test
       \- org.codehaus.mojo:aspectj-maven-plugin:maven-plugin:1.8:test
          \- org.apache.maven.doxia:doxia-site-renderer:jar:1.1.2:test
             \- org.codehaus.plexus:plexus-i18n:jar:1.0-beta-7:test
                \- (org.codehaus.plexus:plexus-utils:jar:1.4.1:test - omitted for conflict with 3.0.22)

  2. org.patterntesting:patterntesting-concurrent:jar:1.7.1
    \- org.patterntesting:patterntesting-tools:jar:1.7.1:test
       \- org.codehaus.mojo:aspectj-maven-plugin:maven-plugin:1.8:test
          \- org.apache.maven.doxia:doxia-site-renderer:jar:1.1.2:test
             \- org.codehaus.plexus:plexus-i18n:jar:1.0-beta-7:test
                \- (org.codehaus.plexus:plexus-utils:jar:1.4.1:test - omitted for conflict with 3.0.22)

  3. org.patterntesting:patterntesting-tools:maven-plugin:1.7.1
    \- org.codehaus.mojo:aspectj-maven-plugin:maven-plugin:1.8:compile
       \- org.apache.maven.doxia:doxia-site-renderer:jar:1.1.2:compile
          \- org.codehaus.plexus:plexus-i18n:jar:1.0-beta-7:compile
             \- (org.codehaus.plexus:plexus-utils:jar:1.4.1:compile - omitted for conflict with 3.0.22)

1.5.12
  1. org.patterntesting:patterntesting-check-ct:jar:1.7.1
    \- org.patterntesting:patterntesting-tools:jar:1.7.1:test
       \- org.codehaus.mojo:aspectj-maven-plugin:maven-plugin:1.8:test
          \- org.apache.maven.doxia:doxia-site-renderer:jar:1.1.2:test
             +- org.apache.maven.doxia:doxia-core:jar:1.1.2:test
             |  \- (org.codehaus.plexus:plexus-utils:jar:1.5.12:test - omitted for conflict with 3.0.22)
             +- org.apache.maven.doxia:doxia-decoration-model:jar:1.1.2:test
             |  \- (org.codehaus.plexus:plexus-utils:jar:1.5.12:test - omitted for conflict with 3.0.22)
             +- org.apache.maven.doxia:doxia-module-xhtml:jar:1.1.2:test
             |  \- (org.codehaus.plexus:plexus-utils:jar:1.5.12:test - omitted for conflict with 3.0.22)
             +- org.apache.maven.doxia:doxia-module-fml:jar:1.1.2:test
             |  \- (org.codehaus.plexus:plexus-utils:jar:1.5.12:test - omitted for conflict with 3.0.22)
             \- (org.codehaus.plexus:plexus-utils:jar:1.5.12:test - omitted for conflict with 3.0.22)

  2. org.patterntesting:patterntesting-concurrent:jar:1.7.1
    \- org.patterntesting:patterntesting-tools:jar:1.7.1:test
       \- org.codehaus.mojo:aspectj-maven-plugin:maven-plugin:1.8:test
          \- org.apache.maven.doxia:doxia-site-renderer:jar:1.1.2:test
             +- org.apache.maven.doxia:doxia-core:jar:1.1.2:test
             |  \- (org.codehaus.plexus:plexus-utils:jar:1.5.12:test - omitted for conflict with 3.0.22)
             +- org.apache.maven.doxia:doxia-decoration-model:jar:1.1.2:test
             |  \- (org.codehaus.plexus:plexus-utils:jar:1.5.12:test - omitted for conflict with 3.0.22)
             +- org.apache.maven.doxia:doxia-module-xhtml:jar:1.1.2:test
             |  \- (org.codehaus.plexus:plexus-utils:jar:1.5.12:test - omitted for conflict with 3.0.22)
             +- org.apache.maven.doxia:doxia-module-fml:jar:1.1.2:test
             |  \- (org.codehaus.plexus:plexus-utils:jar:1.5.12:test - omitted for conflict with 3.0.22)
             \- (org.codehaus.plexus:plexus-utils:jar:1.5.12:test - omitted for conflict with 3.0.22)

  3. org.patterntesting:patterntesting-tools:maven-plugin:1.7.1
    \- org.codehaus.mojo:aspectj-maven-plugin:maven-plugin:1.8:compile
       \- org.apache.maven.doxia:doxia-site-renderer:jar:1.1.2:compile
          +- org.apache.maven.doxia:doxia-core:jar:1.1.2:compile
          |  \- (org.codehaus.plexus:plexus-utils:jar:1.5.12:compile - omitted for conflict with 3.0.22)
          +- org.apache.maven.doxia:doxia-decoration-model:jar:1.1.2:compile
          |  \- (org.codehaus.plexus:plexus-utils:jar:1.5.12:compile - omitted for conflict with 3.0.22)
          +- org.apache.maven.doxia:doxia-module-xhtml:jar:1.1.2:compile
          |  \- (org.codehaus.plexus:plexus-utils:jar:1.5.12:compile - omitted for conflict with 3.0.22)
          +- org.apache.maven.doxia:doxia-module-fml:jar:1.1.2:compile
          |  \- (org.codehaus.plexus:plexus-utils:jar:1.5.12:compile - omitted for conflict with 3.0.22)
          \- (org.codehaus.plexus:plexus-utils:jar:1.5.12:compile - omitted for conflict with 3.0.22)

1.5.15
  1. org.patterntesting:patterntesting-check-ct:jar:1.7.1
    \- org.patterntesting:patterntesting-tools:jar:1.7.1:test
       \- org.codehaus.mojo:aspectj-maven-plugin:maven-plugin:1.8:test
          \- org.apache.maven:maven-project:jar:2.2.1:test
             +- org.apache.maven:maven-profile:jar:2.2.1:test
             |  \- (org.codehaus.plexus:plexus-utils:jar:1.5.15:test - omitted for conflict with 3.0.22)
             +- org.apache.maven:maven-artifact-manager:jar:2.2.1:test
             |  \- (org.codehaus.plexus:plexus-utils:jar:1.5.15:test - omitted for conflict with 3.0.22)
             +- org.apache.maven:maven-plugin-registry:jar:2.2.1:test
             |  \- (org.codehaus.plexus:plexus-utils:jar:1.5.15:test - omitted for conflict with 3.0.22)
             \- (org.codehaus.plexus:plexus-utils:jar:1.5.15:test - omitted for conflict with 3.0.22)

  2. org.patterntesting:patterntesting-concurrent:jar:1.7.1
    \- org.patterntesting:patterntesting-tools:jar:1.7.1:test
       \- org.codehaus.mojo:aspectj-maven-plugin:maven-plugin:1.8:test
          \- org.apache.maven:maven-project:jar:2.2.1:test
             +- org.apache.maven:maven-profile:jar:2.2.1:test
             |  \- (org.codehaus.plexus:plexus-utils:jar:1.5.15:test - omitted for conflict with 3.0.22)
             +- org.apache.maven:maven-artifact-manager:jar:2.2.1:test
             |  \- (org.codehaus.plexus:plexus-utils:jar:1.5.15:test - omitted for conflict with 3.0.22)
             +- org.apache.maven:maven-plugin-registry:jar:2.2.1:test
             |  \- (org.codehaus.plexus:plexus-utils:jar:1.5.15:test - omitted for conflict with 3.0.22)
             \- (org.codehaus.plexus:plexus-utils:jar:1.5.15:test - omitted for conflict with 3.0.22)

  3. org.patterntesting:patterntesting-tools:maven-plugin:1.7.1
    \- org.codehaus.mojo:aspectj-maven-plugin:maven-plugin:1.8:compile
       \- org.apache.maven:maven-project:jar:2.2.1:compile
          +- org.apache.maven:maven-profile:jar:2.2.1:compile
          |  \- (org.codehaus.plexus:plexus-utils:jar:1.5.15:compile - omitted for conflict with 3.0.22)
          +- org.apache.maven:maven-artifact-manager:jar:2.2.1:compile
          |  \- (org.codehaus.plexus:plexus-utils:jar:1.5.15:compile - omitted for conflict with 3.0.22)
          +- org.apache.maven:maven-plugin-registry:jar:2.2.1:compile
          |  \- (org.codehaus.plexus:plexus-utils:jar:1.5.15:compile - omitted for conflict with 3.0.22)
          \- (org.codehaus.plexus:plexus-utils:jar:1.5.15:compile - omitted for conflict with 3.0.22)

1.5.5
  1. org.patterntesting:patterntesting-check-ct:jar:1.7.1
    \- org.patterntesting:patterntesting-tools:jar:1.7.1:test
       \- org.apache.maven:maven-compat:jar:3.3.9:test
          \- org.apache.maven:maven-core:jar:3.3.9:test
             \- org.sonatype.plexus:plexus-sec-dispatcher:jar:1.3:test
                \- (org.codehaus.plexus:plexus-utils:jar:1.5.5:test - omitted for conflict with 3.0.22)

  2. org.patterntesting:patterntesting-concurrent:jar:1.7.1
    \- org.patterntesting:patterntesting-tools:jar:1.7.1:test
       \- org.apache.maven:maven-compat:jar:3.3.9:test
          \- org.apache.maven:maven-core:jar:3.3.9:test
             \- org.sonatype.plexus:plexus-sec-dispatcher:jar:1.3:test
                \- (org.codehaus.plexus:plexus-utils:jar:1.5.5:test - omitted for conflict with 3.0.22)

  3. org.patterntesting:patterntesting-tools:maven-plugin:1.7.1
    \- org.apache.maven:maven-compat:jar:3.3.9:compile
       \- org.apache.maven:maven-core:jar:3.3.9:compile
          \- org.sonatype.plexus:plexus-sec-dispatcher:jar:1.3:compile
             \- (org.codehaus.plexus:plexus-utils:jar:1.5.5:compile - omitted for conflict with 3.0.22)

1.5.8
  1. org.patterntesting:patterntesting-check-ct:jar:1.7.1
    \- org.patterntesting:patterntesting-tools:jar:1.7.1:test
       \- org.codehaus.mojo:aspectj-maven-plugin:maven-plugin:1.8:test
          \- org.apache.maven.reporting:maven-reporting-impl:jar:2.1:test
             \- (org.codehaus.plexus:plexus-utils:jar:1.5.8:test - omitted for conflict with 3.0.22)

  2. org.patterntesting:patterntesting-concurrent:jar:1.7.1
    \- org.patterntesting:patterntesting-tools:jar:1.7.1:test
       \- org.codehaus.mojo:aspectj-maven-plugin:maven-plugin:1.8:test
          \- org.apache.maven.reporting:maven-reporting-impl:jar:2.1:test
             \- (org.codehaus.plexus:plexus-utils:jar:1.5.8:test - omitted for conflict with 3.0.22)

  3. org.patterntesting:patterntesting-tools:maven-plugin:1.7.1
    \- org.codehaus.mojo:aspectj-maven-plugin:maven-plugin:1.8:compile
       \- org.apache.maven.reporting:maven-reporting-impl:jar:2.1:compile
          \- (org.codehaus.plexus:plexus-utils:jar:1.5.8:compile - omitted for conflict with 3.0.22)

3.0
  1. org.patterntesting:patterntesting-check-ct:jar:1.7.1
    \- org.patterntesting:patterntesting-tools:jar:1.7.1:test
       \- org.apache.maven.plugin-testing:maven-plugin-testing-harness:jar:3.3.0:test
          \- org.codehaus.plexus:plexus-archiver:jar:2.2:test
             \- org.codehaus.plexus:plexus-io:jar:2.0.4:test
                \- (org.codehaus.plexus:plexus-utils:jar:3.0:test - omitted for conflict with 3.0.22)

  2. org.patterntesting:patterntesting-concurrent:jar:1.7.1
    \- org.patterntesting:patterntesting-tools:jar:1.7.1:test
       \- org.apache.maven.plugin-testing:maven-plugin-testing-harness:jar:3.3.0:test
          \- org.codehaus.plexus:plexus-archiver:jar:2.2:test
             \- org.codehaus.plexus:plexus-io:jar:2.0.4:test
                \- (org.codehaus.plexus:plexus-utils:jar:3.0:test - omitted for conflict with 3.0.22)

  3. org.patterntesting:patterntesting-tools:maven-plugin:1.7.1
    \- org.apache.maven.plugin-testing:maven-plugin-testing-harness:jar:3.3.0:compile
       \- org.codehaus.plexus:plexus-archiver:jar:2.2:compile
          \- org.codehaus.plexus:plexus-io:jar:2.0.4:compile
             \- (org.codehaus.plexus:plexus-utils:jar:3.0:compile - omitted for conflict with 3.0.22)

3.0.10
  1. org.patterntesting:patterntesting-check-ct:jar:1.7.1
    \- org.patterntesting:patterntesting-tools:jar:1.7.1:test
       \- org.codehaus.mojo:aspectj-maven-plugin:maven-plugin:1.8:test
          \- (org.codehaus.plexus:plexus-utils:jar:3.0.10:test - omitted for conflict with 3.0.22)

  2. org.patterntesting:patterntesting-concurrent:jar:1.7.1
    \- org.patterntesting:patterntesting-tools:jar:1.7.1:test
       \- org.codehaus.mojo:aspectj-maven-plugin:maven-plugin:1.8:test
          \- (org.codehaus.plexus:plexus-utils:jar:3.0.10:test - omitted for conflict with 3.0.22)

  3. org.patterntesting:patterntesting-tools:maven-plugin:1.7.1
    \- org.codehaus.mojo:aspectj-maven-plugin:maven-plugin:1.8:compile
       \- (org.codehaus.plexus:plexus-utils:jar:3.0.10:compile - omitted for conflict with 3.0.22)

3.0.15
  1. org.patterntesting:patterntesting-check-ct:jar:1.7.1
    \- org.patterntesting:patterntesting-tools:jar:1.7.1:test
       \- org.apache.maven:maven-compat:jar:3.3.9:test
          \- org.apache.maven.wagon:wagon-provider-api:jar:2.10:test
             \- (org.codehaus.plexus:plexus-utils:jar:3.0.15:test - omitted for conflict with 3.0.22)

  2. org.patterntesting:patterntesting-concurrent:jar:1.7.1
    \- org.patterntesting:patterntesting-tools:jar:1.7.1:test
       \- org.apache.maven:maven-compat:jar:3.3.9:test
          \- org.apache.maven.wagon:wagon-provider-api:jar:2.10:test
             \- (org.codehaus.plexus:plexus-utils:jar:3.0.15:test - omitted for conflict with 3.0.22)

  3. org.patterntesting:patterntesting-tools:maven-plugin:1.7.1
    \- org.apache.maven:maven-compat:jar:3.3.9:compile
       \- org.apache.maven.wagon:wagon-provider-api:jar:2.10:compile
          \- (org.codehaus.plexus:plexus-utils:jar:3.0.15:compile - omitted for conflict with 3.0.22)

3.0.17
  1. org.patterntesting:patterntesting-check-ct:jar:1.7.1
    \- org.patterntesting:patterntesting-tools:jar:1.7.1:test
       \- org.apache.maven:maven-plugin-api:jar:3.3.9:test
          \- org.eclipse.sisu:org.eclipse.sisu.plexus:jar:0.3.2:test
             \- (org.codehaus.plexus:plexus-utils:jar:3.0.17:test - omitted for conflict with 3.0.22)

  2. org.patterntesting:patterntesting-concurrent:jar:1.7.1
    \- org.patterntesting:patterntesting-tools:jar:1.7.1:test
       \- org.apache.maven:maven-plugin-api:jar:3.3.9:test
          \- org.eclipse.sisu:org.eclipse.sisu.plexus:jar:0.3.2:test
             \- (org.codehaus.plexus:plexus-utils:jar:3.0.17:test - omitted for conflict with 3.0.22)

  3. org.patterntesting:patterntesting-tools:maven-plugin:1.7.1
    \- org.apache.maven:maven-plugin-api:jar:3.3.9:compile
       \- org.eclipse.sisu:org.eclipse.sisu.plexus:jar:0.3.2:compile
          \- (org.codehaus.plexus:plexus-utils:jar:3.0.17:compile - omitted for conflict with 3.0.22)

3.0.21
  1. org.patterntesting:patterntesting-tools:maven-plugin:1.7.1
    \- org.apache.maven.archetype:archetype-common:jar:2.4:test
       +- org.apache.maven.archetype:archetype-catalog:jar:2.4:test
       |  \- (org.codehaus.plexus:plexus-utils:jar:3.0.21:test - omitted for conflict with 3.0.22)
       +- org.apache.maven.archetype:archetype-descriptor:jar:2.4:test
       |  \- (org.codehaus.plexus:plexus-utils:jar:3.0.21:test - omitted for conflict with 3.0.22)
       +- org.apache.maven.archetype:archetype-registry:jar:2.4:test
       |  \- (org.codehaus.plexus:plexus-utils:jar:3.0.21:test - omitted for conflict with 3.0.22)
       \- (org.codehaus.plexus:plexus-utils:jar:3.0.21:test - omitted for conflict with 3.0.22)

3.0.22
  1. org.patterntesting:patterntesting-check-ct:jar:1.7.1
    \- org.patterntesting:patterntesting-tools:jar:1.7.1:test
       +- org.apache.maven:maven-plugin-api:jar:3.3.9:test
       |  +- org.apache.maven:maven-model:jar:3.3.9:test
       |  |  \- (org.codehaus.plexus:plexus-utils:jar:3.0.22:test - omitted for duplicate)
       |  \- org.apache.maven:maven-artifact:jar:3.3.9:test
       |     \- (org.codehaus.plexus:plexus-utils:jar:3.0.22:test - omitted for duplicate)
       \- org.apache.maven:maven-compat:jar:3.3.9:test
          +- org.apache.maven:maven-model-builder:jar:3.3.9:test
          |  +- (org.codehaus.plexus:plexus-utils:jar:3.0.22:test - omitted for duplicate)
          |  \- org.apache.maven:maven-builder-support:jar:3.3.9:test
          |     \- (org.codehaus.plexus:plexus-utils:jar:3.0.22:test - omitted for duplicate)
          +- org.apache.maven:maven-settings:jar:3.3.9:test
          |  \- (org.codehaus.plexus:plexus-utils:jar:3.0.22:test - omitted for duplicate)
          +- org.apache.maven:maven-core:jar:3.3.9:test
          |  +- org.apache.maven:maven-settings-builder:jar:3.3.9:test
          |  |  \- (org.codehaus.plexus:plexus-utils:jar:3.0.22:test - omitted for duplicate)
          |  +- org.apache.maven:maven-repository-metadata:jar:3.3.9:test
          |  |  \- (org.codehaus.plexus:plexus-utils:jar:3.0.22:test - omitted for duplicate)
          |  +- org.apache.maven:maven-aether-provider:jar:3.3.9:test
          |  |  \- (org.codehaus.plexus:plexus-utils:jar:3.0.22:test - omitted for duplicate)
          |  \- (org.codehaus.plexus:plexus-utils:jar:3.0.22:test - omitted for duplicate)
          \- org.codehaus.plexus:plexus-utils:jar:3.0.22:test

  2. org.patterntesting:patterntesting-concurrent:jar:1.7.1
    \- org.patterntesting:patterntesting-tools:jar:1.7.1:test
       +- org.apache.maven:maven-plugin-api:jar:3.3.9:test
       |  +- org.apache.maven:maven-model:jar:3.3.9:test
       |  |  \- (org.codehaus.plexus:plexus-utils:jar:3.0.22:test - omitted for duplicate)
       |  \- org.apache.maven:maven-artifact:jar:3.3.9:test
       |     \- (org.codehaus.plexus:plexus-utils:jar:3.0.22:test - omitted for duplicate)
       \- org.apache.maven:maven-compat:jar:3.3.9:test
          +- org.apache.maven:maven-model-builder:jar:3.3.9:test
          |  +- (org.codehaus.plexus:plexus-utils:jar:3.0.22:test - omitted for duplicate)
          |  \- org.apache.maven:maven-builder-support:jar:3.3.9:test
          |     \- (org.codehaus.plexus:plexus-utils:jar:3.0.22:test - omitted for duplicate)
          +- org.apache.maven:maven-settings:jar:3.3.9:test
          |  \- (org.codehaus.plexus:plexus-utils:jar:3.0.22:test - omitted for duplicate)
          +- org.apache.maven:maven-core:jar:3.3.9:test
          |  +- org.apache.maven:maven-settings-builder:jar:3.3.9:test
          |  |  \- (org.codehaus.plexus:plexus-utils:jar:3.0.22:test - omitted for duplicate)
          |  +- org.apache.maven:maven-repository-metadata:jar:3.3.9:test
          |  |  \- (org.codehaus.plexus:plexus-utils:jar:3.0.22:test - omitted for duplicate)
          |  +- org.apache.maven:maven-aether-provider:jar:3.3.9:test
          |  |  \- (org.codehaus.plexus:plexus-utils:jar:3.0.22:test - omitted for duplicate)
          |  \- (org.codehaus.plexus:plexus-utils:jar:3.0.22:test - omitted for duplicate)
          \- org.codehaus.plexus:plexus-utils:jar:3.0.22:test

  3. org.patterntesting:patterntesting-tools:maven-plugin:1.7.1
    +- org.apache.maven:maven-plugin-api:jar:3.3.9:compile
    |  +- org.apache.maven:maven-model:jar:3.3.9:compile
    |  |  \- (org.codehaus.plexus:plexus-utils:jar:3.0.22:compile - omitted for duplicate)
    |  \- org.apache.maven:maven-artifact:jar:3.3.9:compile
    |     \- (org.codehaus.plexus:plexus-utils:jar:3.0.22:compile - omitted for duplicate)
    \- org.apache.maven:maven-compat:jar:3.3.9:compile
       +- org.apache.maven:maven-model-builder:jar:3.3.9:compile
       |  +- (org.codehaus.plexus:plexus-utils:jar:3.0.22:compile - omitted for duplicate)
       |  \- org.apache.maven:maven-builder-support:jar:3.3.9:compile
       |     \- (org.codehaus.plexus:plexus-utils:jar:3.0.22:compile - omitted for duplicate)
       +- org.apache.maven:maven-settings:jar:3.3.9:compile
       |  \- (org.codehaus.plexus:plexus-utils:jar:3.0.22:compile - omitted for duplicate)
       +- org.apache.maven:maven-core:jar:3.3.9:compile
       |  +- org.apache.maven:maven-settings-builder:jar:3.3.9:compile
       |  |  \- (org.codehaus.plexus:plexus-utils:jar:3.0.22:compile - omitted for duplicate)
       |  +- org.apache.maven:maven-repository-metadata:jar:3.3.9:compile
       |  |  \- (org.codehaus.plexus:plexus-utils:jar:3.0.22:compile - omitted for duplicate)
       |  +- org.apache.maven:maven-aether-provider:jar:3.3.9:compile
       |  |  \- (org.codehaus.plexus:plexus-utils:jar:3.0.22:compile - omitted for duplicate)
       |  \- (org.codehaus.plexus:plexus-utils:jar:3.0.22:compile - omitted for duplicate)
       \- org.codehaus.plexus:plexus-utils:jar:3.0.22:compile

3.0.7
  1. org.patterntesting:patterntesting-check-ct:jar:1.7.1
    \- org.patterntesting:patterntesting-tools:jar:1.7.1:test
       \- org.apache.maven.plugin-testing:maven-plugin-testing-harness:jar:3.3.0:test
          \- org.codehaus.plexus:plexus-archiver:jar:2.2:test
             \- (org.codehaus.plexus:plexus-utils:jar:3.0.7:test - omitted for conflict with 3.0.22)

  2. org.patterntesting:patterntesting-concurrent:jar:1.7.1
    \- org.patterntesting:patterntesting-tools:jar:1.7.1:test
       \- org.apache.maven.plugin-testing:maven-plugin-testing-harness:jar:3.3.0:test
          \- org.codehaus.plexus:plexus-archiver:jar:2.2:test
             \- (org.codehaus.plexus:plexus-utils:jar:3.0.7:test - omitted for conflict with 3.0.22)

  3. org.patterntesting:patterntesting-tools:maven-plugin:1.7.1
    \- org.apache.maven.plugin-testing:maven-plugin-testing-harness:jar:3.3.0:compile
       \- org.codehaus.plexus:plexus-archiver:jar:2.2:compile
          \- (org.codehaus.plexus:plexus-utils:jar:3.0.7:compile - omitted for conflict with 3.0.22)

3.0.8
  1. org.patterntesting:patterntesting-tools:maven-plugin:1.7.1
    \- org.apache.maven.archetype:archetype-common:jar:2.4:test
       \- org.apache.maven.shared:maven-invoker:jar:2.1.1:test
          \- (org.codehaus.plexus:plexus-utils:jar:3.0.8:test - omitted for conflict with 3.0.22)

oro:oro

[Error]
2.0.6
  1. org.patterntesting.samples:jfs2010:war:1.7.1
    \- com.fdsapi:fdsapi:jar:1.0.4:compile
       \- (oro:oro:jar:2.0.6:compile - omitted for conflict with 2.0.8)

  2. org.patterntesting.samples:misc:war:1.7.1
    \- com.fdsapi:fdsapi:jar:1.0.4:compile
       \- (oro:oro:jar:2.0.6:compile - omitted for conflict with 2.0.8)

2.0.8
  1. org.patterntesting.samples:jfs2010:war:1.7.1
    \- oro:oro:jar:2.0.8:compile

  2. org.patterntesting.samples:misc:war:1.7.1
    \- oro:oro:jar:2.0.8:compile

tomcat:jasper-compiler

[Error]
4.1.30
  1. org.patterntesting.samples:intro:jar:1.7.1
    \- org.apache.cactus:cactus.core.framework.uberjar.javaEE.15:jar:1.8.1:compile
       \- org.apache.cactus:cactus.core.framework.wrapper.javaEE.14:jar:1.8.1:compile
          \- org.apache.cactus:cactus.core.framework.javaEE.13-14:jar:1.8.1:compile
             \- (tomcat:jasper-compiler:jar:4.1.30:compile - omitted for conflict with 5.5.15)

  2. org.patterntesting.samples:jfs2010:war:1.7.1
    \- org.apache.cactus:cactus.core.framework.uberjar.javaEE.15:jar:1.8.1:compile
       \- org.apache.cactus:cactus.core.framework.wrapper.javaEE.14:jar:1.8.1:compile
          \- org.apache.cactus:cactus.core.framework.javaEE.13-14:jar:1.8.1:compile
             \- (tomcat:jasper-compiler:jar:4.1.30:compile - omitted for conflict with 5.5.15)

  3. org.patterntesting.samples:misc:war:1.7.1
    \- org.apache.cactus:cactus.core.framework.uberjar.javaEE.15:jar:1.8.1:compile
       \- org.apache.cactus:cactus.core.framework.wrapper.javaEE.14:jar:1.8.1:compile
          \- org.apache.cactus:cactus.core.framework.javaEE.13-14:jar:1.8.1:compile
             \- (tomcat:jasper-compiler:jar:4.1.30:compile - omitted for conflict with 5.5.15)

  4. org.patterntesting:samples:pom:1.7.1
    \- org.apache.cactus:cactus.core.framework.uberjar.javaEE.15:jar:1.8.1:compile
       \- org.apache.cactus:cactus.core.framework.wrapper.javaEE.14:jar:1.8.1:compile
          \- org.apache.cactus:cactus.core.framework.javaEE.13-14:jar:1.8.1:compile
             \- (tomcat:jasper-compiler:jar:4.1.30:compile - omitted for conflict with 5.5.15)

5.5.15
  1. org.patterntesting.samples:intro:jar:1.7.1
    \- tomcat:jasper-compiler:jar:5.5.15:compile

  2. org.patterntesting.samples:jfs2010:war:1.7.1
    \- tomcat:jasper-compiler:jar:5.5.15:compile

  3. org.patterntesting.samples:misc:war:1.7.1
    \- tomcat:jasper-compiler:jar:5.5.15:compile

  4. org.patterntesting:samples:pom:1.7.1
    \- tomcat:jasper-compiler:jar:5.5.15:compile

5.5.9
  1. org.patterntesting.samples:intro:jar:1.7.1
    \- org.apache.cactus:cactus.core.framework.uberjar.javaEE.15:jar:1.8.1:compile
       +- org.apache.cactus:cactus.core.framework.wrapper.javaEE.14:jar:1.8.1:compile
       |  +- org.apache.cactus:cactus.core.framework.javaEE.13-14:jar:1.8.1:compile
       |  |  \- org.apache.cactus:cactus.core.framework.javaEE.12-13-14:jar:1.8.1:compile
       |  |     \- (tomcat:jasper-compiler:jar:5.5.9:compile - omitted for conflict with 5.5.15)
       |  \- (tomcat:jasper-compiler:jar:5.5.9:compile - omitted for conflict with 5.5.15)
       \- (tomcat:jasper-compiler:jar:5.5.9:compile - omitted for conflict with 5.5.15)

  2. org.patterntesting.samples:jfs2010:war:1.7.1
    \- org.apache.cactus:cactus.core.framework.uberjar.javaEE.15:jar:1.8.1:compile
       +- org.apache.cactus:cactus.core.framework.wrapper.javaEE.14:jar:1.8.1:compile
       |  +- org.apache.cactus:cactus.core.framework.javaEE.13-14:jar:1.8.1:compile
       |  |  \- org.apache.cactus:cactus.core.framework.javaEE.12-13-14:jar:1.8.1:compile
       |  |     \- (tomcat:jasper-compiler:jar:5.5.9:compile - omitted for conflict with 5.5.15)
       |  \- (tomcat:jasper-compiler:jar:5.5.9:compile - omitted for conflict with 5.5.15)
       \- (tomcat:jasper-compiler:jar:5.5.9:compile - omitted for conflict with 5.5.15)

  3. org.patterntesting.samples:misc:war:1.7.1
    \- org.apache.cactus:cactus.core.framework.uberjar.javaEE.15:jar:1.8.1:compile
       +- org.apache.cactus:cactus.core.framework.wrapper.javaEE.14:jar:1.8.1:compile
       |  +- org.apache.cactus:cactus.core.framework.javaEE.13-14:jar:1.8.1:compile
       |  |  \- org.apache.cactus:cactus.core.framework.javaEE.12-13-14:jar:1.8.1:compile
       |  |     \- (tomcat:jasper-compiler:jar:5.5.9:compile - omitted for conflict with 5.5.15)
       |  \- (tomcat:jasper-compiler:jar:5.5.9:compile - omitted for conflict with 5.5.15)
       \- (tomcat:jasper-compiler:jar:5.5.9:compile - omitted for conflict with 5.5.15)

  4. org.patterntesting:samples:pom:1.7.1
    \- org.apache.cactus:cactus.core.framework.uberjar.javaEE.15:jar:1.8.1:compile
       +- org.apache.cactus:cactus.core.framework.wrapper.javaEE.14:jar:1.8.1:compile
       |  +- org.apache.cactus:cactus.core.framework.javaEE.13-14:jar:1.8.1:compile
       |  |  \- org.apache.cactus:cactus.core.framework.javaEE.12-13-14:jar:1.8.1:compile
       |  |     \- (tomcat:jasper-compiler:jar:5.5.9:compile - omitted for conflict with 5.5.15)
       |  \- (tomcat:jasper-compiler:jar:5.5.9:compile - omitted for conflict with 5.5.15)
       \- (tomcat:jasper-compiler:jar:5.5.9:compile - omitted for conflict with 5.5.15)

tomcat:jasper-runtime

[Error]
4.1.30
  1. org.patterntesting.samples:intro:jar:1.7.1
    \- org.apache.cactus:cactus.core.framework.uberjar.javaEE.15:jar:1.8.1:compile
       \- org.apache.cactus:cactus.core.framework.wrapper.javaEE.14:jar:1.8.1:compile
          \- org.apache.cactus:cactus.core.framework.javaEE.13-14:jar:1.8.1:compile
             \- (tomcat:jasper-runtime:jar:4.1.30:compile - omitted for conflict with 5.5.15)

  2. org.patterntesting.samples:jfs2010:war:1.7.1
    \- org.apache.cactus:cactus.core.framework.uberjar.javaEE.15:jar:1.8.1:compile
       \- org.apache.cactus:cactus.core.framework.wrapper.javaEE.14:jar:1.8.1:compile
          \- org.apache.cactus:cactus.core.framework.javaEE.13-14:jar:1.8.1:compile
             \- (tomcat:jasper-runtime:jar:4.1.30:compile - omitted for conflict with 5.5.15)

  3. org.patterntesting.samples:misc:war:1.7.1
    \- org.apache.cactus:cactus.core.framework.uberjar.javaEE.15:jar:1.8.1:compile
       \- org.apache.cactus:cactus.core.framework.wrapper.javaEE.14:jar:1.8.1:compile
          \- org.apache.cactus:cactus.core.framework.javaEE.13-14:jar:1.8.1:compile
             \- (tomcat:jasper-runtime:jar:4.1.30:compile - omitted for conflict with 5.5.15)

  4. org.patterntesting:samples:pom:1.7.1
    \- org.apache.cactus:cactus.core.framework.uberjar.javaEE.15:jar:1.8.1:compile
       \- org.apache.cactus:cactus.core.framework.wrapper.javaEE.14:jar:1.8.1:compile
          \- org.apache.cactus:cactus.core.framework.javaEE.13-14:jar:1.8.1:compile
             \- (tomcat:jasper-runtime:jar:4.1.30:compile - omitted for conflict with 5.5.15)

5.5.15
  1. org.patterntesting.samples:intro:jar:1.7.1
    \- tomcat:jasper-runtime:jar:5.5.15:compile

  2. org.patterntesting.samples:jfs2010:war:1.7.1
    \- tomcat:jasper-runtime:jar:5.5.15:compile

  3. org.patterntesting.samples:misc:war:1.7.1
    \- tomcat:jasper-runtime:jar:5.5.15:compile

  4. org.patterntesting:samples:pom:1.7.1
    \- tomcat:jasper-runtime:jar:5.5.15:compile

5.5.9
  1. org.patterntesting.samples:intro:jar:1.7.1
    \- org.apache.cactus:cactus.core.framework.uberjar.javaEE.15:jar:1.8.1:compile
       +- org.apache.cactus:cactus.core.framework.wrapper.javaEE.14:jar:1.8.1:compile
       |  +- org.apache.cactus:cactus.core.framework.javaEE.13-14:jar:1.8.1:compile
       |  |  \- org.apache.cactus:cactus.core.framework.javaEE.12-13-14:jar:1.8.1:compile
       |  |     \- (tomcat:jasper-runtime:jar:5.5.9:compile - omitted for conflict with 5.5.15)
       |  \- (tomcat:jasper-runtime:jar:5.5.9:compile - omitted for conflict with 5.5.15)
       \- (tomcat:jasper-runtime:jar:5.5.9:compile - omitted for conflict with 5.5.15)

  2. org.patterntesting.samples:jfs2010:war:1.7.1
    \- org.apache.cactus:cactus.core.framework.uberjar.javaEE.15:jar:1.8.1:compile
       +- org.apache.cactus:cactus.core.framework.wrapper.javaEE.14:jar:1.8.1:compile
       |  +- org.apache.cactus:cactus.core.framework.javaEE.13-14:jar:1.8.1:compile
       |  |  \- org.apache.cactus:cactus.core.framework.javaEE.12-13-14:jar:1.8.1:compile
       |  |     \- (tomcat:jasper-runtime:jar:5.5.9:compile - omitted for conflict with 5.5.15)
       |  \- (tomcat:jasper-runtime:jar:5.5.9:compile - omitted for conflict with 5.5.15)
       \- (tomcat:jasper-runtime:jar:5.5.9:compile - omitted for conflict with 5.5.15)

  3. org.patterntesting.samples:misc:war:1.7.1
    \- org.apache.cactus:cactus.core.framework.uberjar.javaEE.15:jar:1.8.1:compile
       +- org.apache.cactus:cactus.core.framework.wrapper.javaEE.14:jar:1.8.1:compile
       |  +- org.apache.cactus:cactus.core.framework.javaEE.13-14:jar:1.8.1:compile
       |  |  \- org.apache.cactus:cactus.core.framework.javaEE.12-13-14:jar:1.8.1:compile
       |  |     \- (tomcat:jasper-runtime:jar:5.5.9:compile - omitted for conflict with 5.5.15)
       |  \- (tomcat:jasper-runtime:jar:5.5.9:compile - omitted for conflict with 5.5.15)
       \- (tomcat:jasper-runtime:jar:5.5.9:compile - omitted for conflict with 5.5.15)

  4. org.patterntesting:samples:pom:1.7.1
    \- org.apache.cactus:cactus.core.framework.uberjar.javaEE.15:jar:1.8.1:compile
       +- org.apache.cactus:cactus.core.framework.wrapper.javaEE.14:jar:1.8.1:compile
       |  +- org.apache.cactus:cactus.core.framework.javaEE.13-14:jar:1.8.1:compile
       |  |  \- org.apache.cactus:cactus.core.framework.javaEE.12-13-14:jar:1.8.1:compile
       |  |     \- (tomcat:jasper-runtime:jar:5.5.9:compile - omitted for conflict with 5.5.15)
       |  \- (tomcat:jasper-runtime:jar:5.5.9:compile - omitted for conflict with 5.5.15)
       \- (tomcat:jasper-runtime:jar:5.5.9:compile - omitted for conflict with 5.5.15)

xml-apis:xml-apis

[Error]
1.0.b2
  1. org.patterntesting:patterntesting-check-ct:jar:1.7.1
    \- org.patterntesting:patterntesting-tools:jar:1.7.1:test
       \- org.codehaus.mojo:aspectj-maven-plugin:maven-plugin:1.8:test
          \- org.apache.maven.reporting:maven-reporting-impl:jar:2.1:test
             \- commons-validator:commons-validator:jar:1.2.0:test
                +- commons-digester:commons-digester:jar:1.6:test
                |  \- (xml-apis:xml-apis:jar:1.0.b2:test - omitted for conflict with 1.3.03)
                \- xml-apis:xml-apis:jar:1.0.b2:test

  2. org.patterntesting:patterntesting-concurrent:jar:1.7.1
    \- org.patterntesting:patterntesting-tools:jar:1.7.1:test
       \- org.codehaus.mojo:aspectj-maven-plugin:maven-plugin:1.8:test
          \- org.apache.maven.reporting:maven-reporting-impl:jar:2.1:test
             \- commons-validator:commons-validator:jar:1.2.0:test
                +- commons-digester:commons-digester:jar:1.6:test
                |  \- (xml-apis:xml-apis:jar:1.0.b2:test - omitted for conflict with 1.3.03)
                \- xml-apis:xml-apis:jar:1.0.b2:test

  3. org.patterntesting:patterntesting-tools:maven-plugin:1.7.1
    +- org.codehaus.mojo:aspectj-maven-plugin:maven-plugin:1.8:compile
    |  \- org.apache.maven.reporting:maven-reporting-impl:jar:2.1:compile
    |     \- commons-validator:commons-validator:jar:1.2.0:compile
    |        +- commons-digester:commons-digester:jar:1.6:compile
    |        |  \- (xml-apis:xml-apis:jar:1.0.b2:compile - omitted for conflict with 1.3.03)
    |        \- xml-apis:xml-apis:jar:1.0.b2:compile
    \- org.apache.maven.archetype:archetype-common:jar:2.4:test
       \- dom4j:dom4j:jar:1.6.1:test
          \- (xml-apis:xml-apis:jar:1.0.b2:compile - scope updated from test; omitted for duplicate)

1.3.03
  1. org.patterntesting:patterntesting-check-ct:jar:1.7.1
    \- org.patterntesting:patterntesting-tools:jar:1.7.1:test
       \- org.codehaus.mojo:aspectj-maven-plugin:maven-plugin:1.8:test
          \- org.apache.maven.doxia:doxia-site-renderer:jar:1.1.2:test
             \- org.apache.maven.doxia:doxia-core:jar:1.1.2:test
                \- xerces:xercesImpl:jar:2.8.1:test
                   \- (xml-apis:xml-apis:jar:1.3.03:test - omitted for conflict with 1.0.b2)

  2. org.patterntesting:patterntesting-concurrent:jar:1.7.1
    \- org.patterntesting:patterntesting-tools:jar:1.7.1:test
       \- org.codehaus.mojo:aspectj-maven-plugin:maven-plugin:1.8:test
          \- org.apache.maven.doxia:doxia-site-renderer:jar:1.1.2:test
             \- org.apache.maven.doxia:doxia-core:jar:1.1.2:test
                \- xerces:xercesImpl:jar:2.8.1:test
                   \- (xml-apis:xml-apis:jar:1.3.03:test - omitted for conflict with 1.0.b2)

  3. org.patterntesting:patterntesting-tools:maven-plugin:1.7.1
    \- org.codehaus.mojo:aspectj-maven-plugin:maven-plugin:1.8:compile
       \- org.apache.maven.doxia:doxia-site-renderer:jar:1.1.2:compile
          \- org.apache.maven.doxia:doxia-core:jar:1.1.2:compile
             \- xerces:xercesImpl:jar:2.8.1:compile
                \- (xml-apis:xml-apis:jar:1.3.03:compile - omitted for conflict with 1.0.b2)